#pragma once
#include <Recipe.h>

struct IzhikevichNeuron
	: public slug::spec::Neuron
{
	float a;
	float b;
	float c;
	float d;
	float v;
	float u;
};

class IzhikevichRecipe
	: public NeuronRecipe
{
public:
	IzhikevichRecipe();
	virtual bool generate(unsigned int count);
private:
	Parameter<float> _a;
	Parameter<float> _b;
	Parameter<float> _c;
	Parameter<float> _d;
	Parameter<float> _v;
	Parameter<float> _u;
};

typedef Factory<IzhikevichRecipe, NeuronRecipe> IzhikevichFactory;
