#include <Parameter.h>

ParameterBase::ParameterBase(const std::string& name,
                             const std::string& description,
							 const DataType& dataType)
	: _name(name),
	  _description(description),
	  _dataType(dataType)
{
}

const std::string& ParameterBase::name() const
{
	return _name;
}

const std::string& ParameterBase::description() const
{
	return _description;
}

const DataType& ParameterBase::dataType() const
{
	return _dataType;
}
