############################## Define BRAIN ##################################
## COMMENTS: 
## 
### NEW MODEL - Phase 1 - 2010_02_03 phase precession and grid cells ###
### Phase 2 - 2010_06_04 pre-frontal cortex ###
### Phase 2 - 2010_06_19 left-right decisions ###


BRAIN
	TYPE            Brain_Navigation
	JOB             ./output/Brain_Navigation
	FSV             1e3
	DURATION        8
	SEED            -20
	DISTANCE        NO
#	SERVER_PORT     20003
#	SERVER          brain.med.unr.edu
#	PORT            AUTO
	
################################ COLUMN TYPE##################################

    #COLUMN_TYPE     PMC_COLUMN_LEFT
    #COLUMN_TYPE     PMC_COLUMN_RIGHT

    #COLUMN_TYPE     PF_COLUMN1_LEFT
    #COLUMN_TYPE     PF_COLUMN1_RIGHT
    #COLUMN_TYPE     PF_COLUMN2_LEFT
    #COLUMN_TYPE     PF_COLUMN2_RIGHT
    #COLUMN_TYPE     PF_COLUMN3_LEFT
    #COLUMN_TYPE     PF_COLUMN3_RIGHT
    
    #COLUMN_TYPE     SUB_COLUMN_LEFT
    #COLUMN_TYPE     SUB_COLUMN_RIGHT
    
    COLUMN_TYPE     CA_COLUMN

    COLUMN_TYPE		column_VL1 
	COLUMN_TYPE		column_VL2 
	COLUMN_TYPE		column_VL3 
	COLUMN_TYPE		column_VL4 	
	COLUMN_TYPE		column_VL5 
	COLUMN_TYPE		column_VL6 
	#COLUMN_TYPE		column_VL7 
	#COLUMN_TYPE		column_VL8 
	#COLUMN_TYPE		column_VL9 
	#COLUMN_TYPE		column_VL10
    #COLUMN_TYPE		column_VL11
    #COLUMN_TYPE		column_VL12
    #COLUMN_TYPE		column_VL13
    #COLUMN_TYPE		column_VL14

    COLUMN_TYPE     RAIN2_HP_COLUMN
    COLUMN_TYPE     RAIN_ahp_HP_COLUMN
    COLUMN_TYPE     RAIN2_PF_COLUMN
    COLUMN_TYPE     RAIN_ahp_PF_COLUMN

################################ STIM INJECT##################################

# RAIN2_HP stim inject to jump start #

    STIMULUS_INJECT     RAIN2_HP_inj_stimE1
    STIMULUS_INJECT     RAIN2_HP_inj_stimE2
    STIMULUS_INJECT     RAIN2_HP_inj_stimE3
    STIMULUS_INJECT     RAIN2_HP_inj_stimE4
    STIMULUS_INJECT     RAIN2_HP_inj_stimE5
    STIMULUS_INJECT     RAIN2_HP_inj_stimE6
    STIMULUS_INJECT     RAIN2_HP_inj_stimE7
    STIMULUS_INJECT     RAIN2_HP_inj_stimE8
    STIMULUS_INJECT     RAIN2_HP_inj_stimE9
    STIMULUS_INJECT     RAIN2_HP_inj_stimE10
    STIMULUS_INJECT     RAIN2_HP_inj_stimE11
    STIMULUS_INJECT     RAIN2_HP_inj_stimE12
    STIMULUS_INJECT     RAIN2_HP_inj_stimE13

# RAIN2_PF stim inject to jump start #

    STIMULUS_INJECT     RAIN2_PF_inj_stimE1
    STIMULUS_INJECT     RAIN2_PF_inj_stimE2
    STIMULUS_INJECT     RAIN2_PF_inj_stimE3
    STIMULUS_INJECT     RAIN2_PF_inj_stimE4
    STIMULUS_INJECT     RAIN2_PF_inj_stimE5
    STIMULUS_INJECT     RAIN2_PF_inj_stimE6
    STIMULUS_INJECT     RAIN2_PF_inj_stimE7
    STIMULUS_INJECT     RAIN2_PF_inj_stimE8
    STIMULUS_INJECT     RAIN2_PF_inj_stimE9
    STIMULUS_INJECT     RAIN2_PF_inj_stimE10
    STIMULUS_INJECT     RAIN2_PF_inj_stimE11
    STIMULUS_INJECT     RAIN2_PF_inj_stimE12
    STIMULUS_INJECT     RAIN2_PF_inj_stimE13

# PCR GC stim inject to jump start #

    STIMULUS_INJECT     PCR1_GCstim
    STIMULUS_INJECT     PCR2_GCstim
    STIMULUS_INJECT     PCR3_GCstim
    STIMULUS_INJECT     PCR4_GCstim
    STIMULUS_INJECT     PCR5_GCstim
    STIMULUS_INJECT     PCR6_GCstim
    #STIMULUS_INJECT     PCR7_GCstim
    #STIMULUS_INJECT     PCR8_GCstim
    #STIMULUS_INJECT     PCR9_GCstim
    #STIMULUS_INJECT     PCR10_GCstim
    #STIMULUS_INJECT     PCR11_GCstim
    #STIMULUS_INJECT     PCR12_GCstim
    #STIMULUS_INJECT     PCR13_GCstim
    #STIMULUS_INJECT     PCR14_GCstim

## Landmark input
    STIMULUS_INJECT stiminj_VL1 
    STIMULUS_INJECT stiminj_VL2 
    STIMULUS_INJECT stiminj_VL3
    STIMULUS_INJECT stiminj_VL4
    STIMULUS_INJECT stiminj_VL5
    STIMULUS_INJECT stiminj_VL6
    #STIMULUS_INJECT stiminj_VL7
    #STIMULUS_INJECT stiminj_VL8
    #STIMULUS_INJECT stiminj_VL9 
    #STIMULUS_INJECT stiminj_VL10
    #STIMULUS_INJECT stiminj_VL11
    #STIMULUS_INJECT stiminj_VL12
    #STIMULUS_INJECT stiminj_VL13 
    #STIMULUS_INJECT stiminj_VL14

## added to shut down the RAIN network at 2sec
    #STIMULUS_INJECT stiminj_I1

## added current to OLM 
    STIMULUS_INJECT stiminj_OLM

## added current to suppress the E cells
    STIMULUS_INJECT PCR1_E_GCsuppress
    STIMULUS_INJECT PCR2_E_GCsuppress
    STIMULUS_INJECT PCR3_E_GCsuppress
    STIMULUS_INJECT PCR4_E_GCsuppress
    STIMULUS_INJECT PCR5_E_GCsuppress
    #STIMULUS_INJECT PCR6_E_GCsuppress
    #STIMULUS_INJECT PCR7_E_GCsuppress
    #STIMULUS_INJECT PCR8_E_GCsuppress
    #STIMULUS_INJECT PCR9_E_GCsuppress
    #STIMULUS_INJECT PCR10_E_GCsuppress
    #STIMULUS_INJECT PCR11_E_GCsuppress
    #STIMULUS_INJECT PCR12_E_GCsuppress
    #STIMULUS_INJECT PCR13_E_GCsuppress
    #STIMULUS_INJECT PCR14_E_GCsuppress

## added current to suppress the I cells
    STIMULUS_INJECT PCR1_I_GCsuppress
    STIMULUS_INJECT PCR2_I_GCsuppress
    STIMULUS_INJECT PCR3_I_GCsuppress
    STIMULUS_INJECT PCR4_I_GCsuppress
    STIMULUS_INJECT PCR5_I_GCsuppress
    #STIMULUS_INJECT PCR6_I_GCsuppress
    #STIMULUS_INJECT PCR7_I_GCsuppress
    #STIMULUS_INJECT PCR8_I_GCsuppress
    #STIMULUS_INJECT PCR9_I_GCsuppress
    #STIMULUS_INJECT PCR10_I_GCsuppress
    #STIMULUS_INJECT PCR11_I_GCsuppress
    #STIMULUS_INJECT PCR12_I_GCsuppress
    #STIMULUS_INJECT PCR13_I_GCsuppress
    #STIMULUS_INJECT PCR14_I_GCsuppress
    
## PCR random activity
    STIMULUS_INJECT PCR1_random
    STIMULUS_INJECT PCR2_random
    STIMULUS_INJECT PCR3_random
    STIMULUS_INJECT PCR4_random
    STIMULUS_INJECT PCR5_random
    #STIMULUS_INJECT PCR6_random
    #STIMULUS_INJECT PCR7_random
    #STIMULUS_INJECT PCR8_random
    #STIMULUS_INJECT PCR9_random
    #STIMULUS_INJECT PCR10_random
    #STIMULUS_INJECT PCR11_random
    #STIMULUS_INJECT PCR12_random
    #STIMULUS_INJECT PCR13_random
    #STIMULUS_INJECT PCR14_random

##############################################################################

############################### REPORTS ######################################   
 ## RAIN reports ##

    #REPORT	 EC_II_Voltage_RAIN_ahp_HP_E1
	#REPORT	 EC_II_Voltage_RAIN_ahp_HP_E2
	#REPORT	 EC_II_Voltage_RAIN_ahp_HP_E3
	#REPORT	 EC_II_Voltage_RAIN_ahp_HP_E4
	#REPORT	 EC_II_Voltage_RAIN_ahp_HP_E5
	#REPORT	 EC_II_Voltage_RAIN_ahp_HP_E6
	#REPORT  EC_II_Voltage_RAIN_ahp_HP_E7
	#REPORT	 EC_II_Voltage_RAIN_ahp_HP_E8
	#REPORT	 EC_II_Voltage_RAIN_ahp_HP_E9
	#REPORT	 EC_II_Voltage_RAIN_ahp_HP_E10
	#REPORT	 EC_II_Voltage_RAIN_ahp_HP_E11
	#REPORT	 EC_II_Voltage_RAIN_ahp_HP_E12
	#REPORT	 EC_II_Voltage_RAIN_ahp_HP_E13
    #REPORT  EC_II_Voltage_RAIN_ahp_HP_I1
    #REPORT  EC_II_Voltage_RAIN_ahp_HP_I2
    #REPORT  EC_II_Voltage_RAIN_ahp_HP_I3

	#REPORT	 EC_II_Voltage_RAIN2_HP_E1
	#REPORT	 EC_II_Voltage_RAIN2_HP_E2
	#REPORT	 EC_II_Voltage_RAIN2_HP_E3
	#REPORT	 EC_II_Voltage_RAIN2_HP_E4
	#REPORT	 EC_II_Voltage_RAIN2_HP_E5
	#REPORT	 EC_II_Voltage_RAIN2_HP_E6
	#REPORT	 EC_II_Voltage_RAIN2_HP_E7
	#REPORT	 EC_II_Voltage_RAIN2_HP_E8
	#REPORT	 EC_II_Voltage_RAIN2_HP_E9
	#REPORT	 EC_II_Voltage_RAIN2_HP_E10
	#REPORT	 EC_II_Voltage_RAIN2_HP_E11
	#REPORT	 EC_II_Voltage_RAIN2_HP_E12
	#REPORT	 EC_II_Voltage_RAIN2_HP_E13

    #REPORT	 EC_II_Voltage_RAIN_ahp_PF_E1
	#REPORT	 EC_II_Voltage_RAIN_ahp_PF_E2
	#REPORT	 EC_II_Voltage_RAIN_ahp_PF_E3
	#REPORT	 EC_II_Voltage_RAIN_ahp_PF_E4
	#REPORT	 EC_II_Voltage_RAIN_ahp_PF_E5
	#REPORT	 EC_II_Voltage_RAIN_ahp_PF_E6
	#REPORT  EC_II_Voltage_RAIN_ahp_PF_E7
	#REPORT	 EC_II_Voltage_RAIN_ahp_PF_E8
	#REPORT	 EC_II_Voltage_RAIN_ahp_PF_E9
	#REPORT	 EC_II_Voltage_RAIN_ahp_PF_E10
	#REPORT	 EC_II_Voltage_RAIN_ahp_PF_E11
	#REPORT	 EC_II_Voltage_RAIN_ahp_PF_E12
	#REPORT	 EC_II_Voltage_RAIN_ahp_PF_E13
    #REPORT  EC_II_Voltage_RAIN_ahp_PF_I1
    #REPORT  EC_II_Voltage_RAIN_ahp_PF_I2
    #REPORT  EC_II_Voltage_RAIN_ahp_PF_I3

	#REPORT	 EC_II_Voltage_RAIN2_PF_E1
	#REPORT	 EC_II_Voltage_RAIN2_PF_E2
	#REPORT	 EC_II_Voltage_RAIN2_PF_E3
	#REPORT	 EC_II_Voltage_RAIN2_PF_E4
	#REPORT	 EC_II_Voltage_RAIN2_PF_E5
	#REPORT	 EC_II_Voltage_RAIN2_PF_E6
	#REPORT	 EC_II_Voltage_RAIN2_PF_E7
	#REPORT	 EC_II_Voltage_RAIN2_PF_E8
	#REPORT	 EC_II_Voltage_RAIN2_PF_E9
	#REPORT	 EC_II_Voltage_RAIN2_PF_E10
	#REPORT	 EC_II_Voltage_RAIN2_PF_E11
	#REPORT	 EC_II_Voltage_RAIN2_PF_E12
	#REPORT	 EC_II_Voltage_RAIN2_PF_E13
        
 ## PCR reports ##

    #REPORT   Voltage_PCR1_E
	#REPORT   Voltage_PCR2_E
	#REPORT   Voltage_PCR3_E_pass1
    #REPORT   Voltage_PCR3_E_pass2
    #REPORT   Voltage_PCR3_E_pass3
    #REPORT   Voltage_PCR3_E_pass4
	#REPORT   Voltage_PCR4_E
	#REPORT   Voltage_PCR5_E
	#REPORT   Voltage_PCR6_E
	#REPORT   Voltage_PCR7_E
	#REPORT   Voltage_PCR8_E
	#REPORT   Voltage_PCR9_E
	#REPORT   Voltage_PCR10_E
    #REPORT   Voltage_PCR11_E
    #REPORT   Voltage_PCR12_E
    #REPORT   Voltage_PCR13_E
    #REPORT   Voltage_PCR14_E

    #REPORT   Voltage_PCR1_I
	#REPORT   Voltage_PCR2_I
	#REPORT   Voltage_PCR3_I
	#REPORT   Voltage_PCR4_I
	#REPORT   Voltage_PCR5_I
	#REPORT   Voltage_PCR6_I
	#REPORT   Voltage_PCR7_I
	#REPORT   Voltage_PCR8_I
	#REPORT   Voltage_PCR9_I
	#REPORT   Voltage_PCR10_I
    #REPORT   Voltage_PCR11_I
    #REPORT   Voltage_PCR12_I
    #REPORT   Voltage_PCR13_I
    #REPORT   Voltage_PCR14_I

    #REPORT    PCR1_EE_USE
    #REPORT    PCR2_EE_USE
    #REPORT    PCR3_EE_USE_pass1
    #REPORT    PCR3_EE_USE_pass2
    #REPORT    PCR3_EE_USE_pass3
    #REPORT    PCR3_EE_USE_pass4
    #REPORT    PCR4_EE_USE
    #REPORT    PCR5_EE_USE
    #REPORT    PCR6_EE_USE
    #REPORT    PCR7_EE_USE
    #REPORT    PCR8_EE_USE
    #REPORT    PCR9_EE_USE
    #REPORT    PCR10_EE_USE
    #REPORT    PCR11_EE_USE
    #REPORT    PCR12_EE_USE
    #REPORT    PCR13_EE_USE
    #REPORT    PCR14_EE_USE

## Inhibitory pool report ##

	#REPORT	  IC_Voltage_IP_I

## OLM reports ##

    #REPORT     Voltage_OLM

## Visual Cortex VOLTAGE reports (to confirm stim inject) ## 
	REPORT      VL1_Voltage_0_1000 
	REPORT		VL2_Voltage_0_1000 
	REPORT		VL3_Voltage_0_1000 
	REPORT		VL4_Voltage_0_1000 
	REPORT		VL5_Voltage_0_1000 
	REPORT		VL6_Voltage_0_1000 
	#REPORT		VL7_Voltage_0_1000 
	#REPORT		VL8_Voltage_0_1000 
	#REPORT		VL9_Voltage_0_1000 
	#REPORT		VL10_Voltage_0_1000
    #REPORT		VL11_Voltage_0_1000 
	#REPORT		VL12_Voltage_0_1000 
	#REPORT		VL13_Voltage_0_1000 
	#REPORT		VL14_Voltage_0_1000

############################### CONNECTIONS ##################################

##-- Connections from RAIN to RAIN_ahp

    CONNECT         RAIN2_HP_COLUMN	layer_RAIN2_HP	RAIN2_HP_E1	somaE
                    RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_E1     somaE
                    synEE_R2C_RC        0.03       0

    CONNECT         RAIN2_PF_COLUMN	layer_RAIN2_PF	RAIN2_PF_E1	somaE
                    RAIN_ahp_PF_COLUMN		layer_RAIN_ahp_PF	RAIN_ahp_PF_E1     somaE
                    synEE_R2C_RC        0.03       0

##-- Connections from RAIN_ahp_HP to 14 PCRs

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR
                    synIE_1   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synIE_1   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synIE_1   0.03     0 

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synIE_2   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synIE_2   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synIE_2   0.03     0 

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synIE_3   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synIE_3   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synIE_3   0.03     0 

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synIE_4   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR
                    synIE_4   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR
                    synIE_4   0.03     0 

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synIE_5   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR
                    synIE_5   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synIE_5   0.03     0

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR
                    synIE_6   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synIE_6   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synIE_6   0.03     0 

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synIE_7   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synIE_7   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synIE_7   0.03     0 

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synIE_8   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synIE_8   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synIE_8   0.03     0 

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synIE_9   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR
                    synIE_9   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR
                    synIE_9   0.03     0 

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synIE_10   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR
                    synIE_10   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synIE_10   0.03     0

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synIE_11   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR
                    synIE_11   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synIE_11   0.03     0

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synIE_12   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR
                    synIE_12   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synIE_12   0.03     0

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synIE_13   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR
                    synIE_13   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synIE_13   0.03     0

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synIE_14   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR
                    synIE_14   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synIE_14   0.03     0


##-- Connection from RAIN_ahp_HP (basket cells) to O_LM (Dentritic targetting cells)

    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I1 	somaI
                    CA_COLUMN  layer_SO  O_LM  somaI_OLM
                    synII_OLM   0.03     0
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I2 	somaI
                    CA_COLUMN  layer_SO  O_LM  somaI_OLM 
                    synII_OLM   0.03     0 
    CONNECT         RAIN_ahp_HP_COLUMN		layer_RAIN_ahp_HP	RAIN_ahp_HP_I3 	somaI
                    CA_COLUMN  layer_SO  O_LM  somaI_OLM 
                    synII_OLM   0.03     0

##-- Connectionss from OLM to VLs

    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL1   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL2   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL3   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL4   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL5   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL6   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL7   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL8   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL9   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL10  layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL11   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL12   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL13   layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    CONNECT     CA_COLUMN   layer_SO  O_LM  somaI_OLM
                column_VL14  layer_VL   cell_E  soma_E 
                synOLM_VL	0.03	0
    

##-- Connections from VL to PC

    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL14   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0

    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL13   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0

    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL12   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0

    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL11   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0

    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL10   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    

    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL9   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
  

    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak  0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL8   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    

    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak  0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL7   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    

    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak  0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL6   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
   

    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL5   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    
 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL4   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
     

    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL3   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    

    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak  0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL2   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    

    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR1_E  somaE_PCR 
                    synEE_Hebb_strong   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR2_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR3_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR4_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR5_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR6_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR7_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR8_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR9_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR10_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR11_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR12_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR13_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0 
    CONNECT         column_VL1   layer_VL   cell_E  soma_E 
                    CA_COLUMN  layer_SP  PCR14_E  somaE_PCR 
                    synEE_Hebb_weak   0.05     0
          

END_BRAIN

##############################################################################

############################### INCLUDE ######################################
 
## ANATOMY ##
INCLUDE ./input/INCLUDE_ANATOMY_PCRAIN.inc
#INCLUDE ./input/INCLUDE_ANATOMY_INHIBPOOL.inc
INCLUDE ./input/INCLUDE_ANATOMY_VL.inc
INCLUDE ./input/INCLUDE_ANATOMY_RAIN_ahp_HP.inc
INCLUDE ./input/INCLUDE_ANATOMY_RAIN2_HP.inc
INCLUDE ./input/INCLUDE_ANATOMY_RAIN_ahp_PF.inc
INCLUDE ./input/INCLUDE_ANATOMY_RAIN2_PF.inc

## STIMULUS ##
INCLUDE ./input/INCLUDE_STIMULUS_PCRAIN.inc
INCLUDE ./input/INCLUDE_STIMULUS_VL.inc
INCLUDE ./input/INCLUDE_STIMULUS_GCsupp.inc
INCLUDE ./input/INCLUDE_STIMULUS_PCR_Random.inc
INCLUDE ./input/INCLUDE_STIMULUS_OLM.inc
INCLUDE ./input/INCLUDE_STIMULUS_RAIN_ahp_HP.inc
INCLUDE ./input/INCLUDE_STIMULUS_RAIN2_HP.inc
INCLUDE ./input/INCLUDE_STIMULUS_RAIN_ahp_PF.inc
INCLUDE ./input/INCLUDE_STIMULUS_RAIN2_PF.inc

## SYNAPSES ##
INCLUDE ./input/INCLUDE_SYNAPSES_PCRAIN.inc
INCLUDE ./input/INCLUDE_SYNAPSES_INHIBPOOL.inc
INCLUDE ./input/INCLUDE_SYNAPSES_OLM.inc
INCLUDE ./input/INCLUDE_SYNAPSES_VL_PC.inc
INCLUDE ./input/INCLUDE_SYNAPSES_RAIN_ahp_HP_PF.inc
INCLUDE ./input/INCLUDE_SYNAPSES_RAIN2_HP_PF.inc
INCLUDE ./input/INCLUDE_SYNAPSES_RAIN_ahp_HP_PCRAIN.inc

## REPORTS ##
INCLUDE ./input/INCLUDE_REPORTS_VOLTAGES_PCRAIN.inc
INCLUDE ./input/INCLUDE_REPORTS_VOLTAGES_INHIBPOOL.inc
INCLUDE ./input/INCLUDE_REPORTS_VL.inc
INCLUDE ./input/INCLUDE_REPORTS_OLM.inc
INCLUDE ./input/INCLUDE_REPORTS_USE_PCRAIN.inc
INCLUDE ./input/INCLUDE_REPORTS_VOLTAGES_RAIN_ahp_HP.inc
INCLUDE ./input/INCLUDE_REPORTS_VOLTAGES_RAIN2_HP.inc
INCLUDE ./input/INCLUDE_REPORTS_VOLTAGES_RAIN_ahp_PF.inc
INCLUDE ./input/INCLUDE_REPORTS_VOLTAGES_RAIN2_PF.inc

## OTHER ##
#INCLUDE ./input/onepulseinject.inc
#INCLUDE ./input/INCLUDE_EVENTS.inc

## CONNECTIONS ##
#INCLUDE ./input/INCLUDE_CONNECTION_VL_PC.inc
#INCLUDE ./input/INCLUDE_CONNECTION_RAIN2_HP_RAIN_ahp_HP.inc

##############################################################################

