############################### Define Column Shells #########################
COLUMN_SHELL
        TYPE                    PCR_shell
        WIDTH                   1200
        HEIGHT                  1000
        LOCATION                0               0
END_COLUMN_SHELL

############################### Fill Columns #################################
COLUMN
        TYPE                    CA_COLUMN
        COLUMN_SHELL            PCR_shell
        LAYER_TYPE              layer_SO
        LAYER_TYPE              layer_SP
        LAYER_TYPE              layer_SR
        LAYER_TYPE              layer_LM
    
END_COLUMN

############################### Define Layer Shells #########################
LAYER_SHELL
	TYPE                layer_SO_shell
	LOWER               0
	UPPER               30
END_LAYER_SHELL

LAYER_SHELL
	TYPE                layer_SP_shell
	LOWER               30
	UPPER               50
END_LAYER_SHELL

LAYER_SHELL
	TYPE                layer_SR_shell
	LOWER               50
	UPPER               90
END_LAYER_SHELL

LAYER_SHELL
	TYPE                layer_LM_shell
	LOWER               90
	UPPER               100
END_LAYER_SHELL

############################### Fill Layers ##################################

LAYER
	TYPE			layer_SP
	LAYER_SHELL		layer_SP_shell
	CELL_TYPE		PCR1_E     2600
	CELL_TYPE		PCR1_I     600
	CELL_TYPE		PCR2_E     2600
	CELL_TYPE		PCR2_I     600
	CELL_TYPE		PCR3_E     2600
	CELL_TYPE		PCR3_I     600
	CELL_TYPE		PCR4_E     2600
	CELL_TYPE		PCR4_I     600
	CELL_TYPE		PCR5_E     2600
	CELL_TYPE		PCR5_I     600
	CELL_TYPE		PCR6_E     2600
	CELL_TYPE		PCR6_I     600
	CELL_TYPE		PCR7_E     2600
	CELL_TYPE		PCR7_I     600
	CELL_TYPE		PCR8_E     2600
	CELL_TYPE		PCR8_I     600
	CELL_TYPE		PCR9_E     2600
	CELL_TYPE		PCR9_I     600
	CELL_TYPE		PCR10_E    2600
	CELL_TYPE		PCR10_I    600
    CELL_TYPE		PCR11_E    2600
	CELL_TYPE		PCR11_I    600
    CELL_TYPE		PCR12_E    2600
	CELL_TYPE		PCR12_I    600
    CELL_TYPE		PCR13_E    2600
	CELL_TYPE		PCR13_I    600
    CELL_TYPE		PCR14_E    2600
	CELL_TYPE		PCR14_I    600

    CELL_TYPE       HP_probe    100

################################################
#-----PCR E-E within group
################################################
	CONNECT
                PCR1_E	somaE_PCR
                PCR1_E	somaE_PCR
                synEE_PCR	0.03	0
	CONNECT
                PCR2_E	somaE_PCR
                PCR2_E	somaE_PCR
                synEE_PCR	0.03	0
	CONNECT
                PCR3_E	somaE_PCR
                PCR3_E	somaE_PCR
                synEE_PCR	0.03	0
	CONNECT
                PCR4_E	somaE_PCR
                PCR4_E	somaE_PCR
                synEE_PCR	0.03	0
	CONNECT
                PCR5_E	somaE_PCR
                PCR5_E	somaE_PCR
                synEE_PCR	0.03	0
	CONNECT
                PCR6_E	somaE_PCR
                PCR6_E	somaE_PCR
                synEE_PCR	0.03	0
	CONNECT
                PCR7_E	somaE_PCR
                PCR7_E	somaE_PCR
                synEE_PCR	0.03	0
	CONNECT
                PCR8_E	somaE_PCR
                PCR8_E	somaE_PCR
                synEE_PCR	0.03	0
	CONNECT
                PCR9_E	somaE_PCR
                PCR9_E	somaE_PCR
                synEE_PCR	0.03	0
	CONNECT
                PCR10_E	somaE_PCR
                PCR10_E	somaE_PCR
                synEE_PCR	0.03	0
    CONNECT
                PCR11_E	somaE_PCR
                PCR11_E	somaE_PCR
                synEE_PCR	0.03	0
    CONNECT
                PCR12_E	somaE_PCR
                PCR12_E	somaE_PCR
                synEE_PCR	0.03	0
    CONNECT
                PCR13_E	somaE_PCR
                PCR13_E	somaE_PCR
                synEE_PCR	0.03	0
    CONNECT
                PCR14_E	somaE_PCR
                PCR14_E	somaE_PCR
                synEE_PCR	0.03	0
                    
################################################
#-----PCR E_I connections	
################################################
    CONNECT
                PCR1_E	somaE_PCR
                PCR1_I	somaI_PCR
                synEI_PCR	0.03	0
	CONNECT
                PCR2_E	somaE_PCR
                PCR2_I	somaI_PCR
                synEI_PCR	0.03	0
	CONNECT
                PCR3_E	somaE_PCR
                PCR3_I	somaI_PCR
                synEI_PCR	0.03	0
	CONNECT
                PCR4_E	somaE_PCR
                PCR4_I	somaI_PCR
                synEI_PCR	0.03	0
	CONNECT
                PCR5_E	somaE_PCR
                PCR5_I	somaI_PCR
                synEI_PCR	0.03	0
	CONNECT
                PCR6_E	somaE_PCR
                PCR6_I	somaI_PCR
                synEI_PCR	0.03	0
	CONNECT
                PCR7_E	somaE_PCR
                PCR7_I	somaI_PCR
                synEI_PCR	0.03	0
	CONNECT
                PCR8_E	somaE_PCR
                PCR8_I	somaI_PCR
                synEI_PCR	0.03	0
	CONNECT
                PCR9_E	somaE_PCR
                PCR9_I	somaI_PCR
                synEI_PCR	0.03	0
	CONNECT
                PCR10_E	somaE_PCR
                PCR10_I	somaI_PCR
                synEI_PCR	0.03	0
    CONNECT
                PCR11_E	somaE_PCR
                PCR11_I	somaI_PCR
                synEI_PCR	0.03	0
    CONNECT
                PCR12_E	somaE_PCR
                PCR12_I	somaI_PCR
                synEI_PCR	0.03	0
    CONNECT
                PCR13_E	somaE_PCR
                PCR13_I	somaI_PCR
                synEI_PCR	0.03	0
    CONNECT
                PCR14_E	somaE_PCR
                PCR14_I	somaI_PCR
                synEI_PCR	0.03	0
   
################################################
#-----PCR I-E connections
################################################
	CONNECT
                PCR1_I	somaI_PCR
                PCR1_E	somaE_PCR
                synIE_PCR	0.03	0
	CONNECT
                PCR2_I	somaI_PCR
                PCR2_E	somaE_PCR
                synIE_PCR	0.03	0
	CONNECT
                PCR3_I	somaI_PCR
                PCR3_E	somaE_PCR
                synIE_PCR	0.03	0
	CONNECT
                PCR4_I	somaI_PCR
                PCR4_E	somaE_PCR
                synIE_PCR	0.03	0
	CONNECT
                PCR5_I	somaI_PCR
                PCR5_E	somaE_PCR
                synIE_PCR	0.03	0
	CONNECT
                PCR6_I	somaI_PCR
                PCR6_E	somaE_PCR
                synIE_PCR	0.03	0
	CONNECT
                PCR7_I	somaI_PCR
                PCR7_E	somaE_PCR
                synIE_PCR	0.03	0
	CONNECT
                PCR8_I	somaI_PCR
                PCR8_E	somaE_PCR
                synIE_PCR	0.03	0
	CONNECT
                PCR9_I	somaI_PCR
                PCR9_E	somaE_PCR
                synIE_PCR	0.03	0
	CONNECT
                PCR10_I	somaI_PCR
                PCR10_E	somaE_PCR
                synIE_PCR	0.03	0
    CONNECT
                PCR11_I	somaI_PCR
                PCR11_E	somaE_PCR
                synIE_PCR	0.03	0
    CONNECT
                PCR12_I	somaI_PCR
                PCR12_E	somaE_PCR
                synIE_PCR	0.03	0
    CONNECT
                PCR13_I	somaI_PCR
                PCR13_E	somaE_PCR
                synIE_PCR	0.03	0
    CONNECT
                PCR14_I	somaI_PCR
                PCR14_E	somaE_PCR
                synIE_PCR	0.03	0

################################################
#----- PCR I I connections
################################################
	CONNECT
                PCR1_I	somaI_PCR
                PCR1_I	somaI_PCR
                synII_PCR    0.04 	0
	CONNECT
                PCR2_I	somaI_PCR
                PCR2_I	somaI_PCR
                synII_PCR    0.04 	0
	CONNECT
                PCR3_I	somaI_PCR
                PCR3_I	somaI_PCR
                synII_PCR    0.04 	0
	CONNECT
                PCR4_I	somaI_PCR
                PCR4_I	somaI_PCR
                synII_PCR    0.04 	0
	CONNECT
                PCR5_I	somaI_PCR
                PCR5_I	somaI_PCR
                synII_PCR    0.04 	0
	CONNECT
                PCR6_I	somaI_PCR
                PCR6_I	somaI_PCR
                synII_PCR    0.04 	0
	CONNECT
                PCR7_I	somaI_PCR
                PCR7_I	somaI_PCR
                synII_PCR    0.04 	0
	CONNECT
                PCR8_I	somaI_PCR
                PCR8_I	somaI_PCR
                synII_PCR    0.04 	0
	CONNECT
                PCR9_I	somaI_PCR
                PCR9_I	somaI_PCR
                synII_PCR    0.04 	0
	CONNECT
                PCR10_I	somaI_PCR
                PCR10_I	somaI_PCR
                synII_PCR    0.04 	0
    CONNECT
                PCR11_I	somaI_PCR
                PCR11_I	somaI_PCR
                synII_PCR    0.04 	0
    CONNECT
                PCR12_I	somaI_PCR
                PCR12_I	somaI_PCR
                synII_PCR    0.04 	0
    CONNECT
                PCR13_I	somaI_PCR
                PCR13_I	somaI_PCR
                synII_PCR    0.04 	0
    CONNECT
                PCR14_I	somaI_PCR
                PCR14_I	somaI_PCR
                synII_PCR    0.04 	0
END_LAYER

################################################
#-----DTI to PCRs connections
################################################

LAYER
    TYPE            layer_SR
    LAYER_SHELL     layer_SR_shell
END_LAYER

LAYER
    TYPE            layer_SO
    LAYER_SHELL     layer_SO_shell
    CELL_TYPE       O_LM        300
END_LAYER

LAYER
    TYPE            layer_LM
    LAYER_SHELL     layer_LM_shell
END_LAYER

#############################################################################
############################### Define Cells ################################

CELL
	TYPE			PCR1_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR1_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR2_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR2_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR3_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR3_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR4_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR4_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR5_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR5_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR6_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR6_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR7_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR7_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR8_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR8_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR9_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR9_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR10_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR10_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR11_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR11_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR12_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR12_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR13_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR13_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR14_E
	COMPARTMENT		soma_exc_PCR		somaE_PCR		0	0	0
END_CELL

CELL
	TYPE			PCR14_I
	COMPARTMENT		soma_inhib_PCR	somaI_PCR		0	0	0
END_CELL

CELL
	TYPE			HP_probe
	COMPARTMENT		soma_probe_HP	somaE		0	0	0
END_CELL


#############################################################################
############################### Define Compartments ##########################
COMPARTMENT
        TYPE                    soma_exc_PCR
        SPIKESHAPE              AP_Hoff
        TAU_MEMBRANE            0.020           0.0
        R_MEMBRANE              200             0
        THRESHOLD               -50             0
        VMREST                  -60             0
        CA_INTERNAL            	5.0         0.0
        CA_EXTERNAL             0.0         0.0
        CA_SPIKE_INCREMENT      100         0.0
        CA_TAU                  0.07      0.0
        CHANNEL                 ahp_PCR
END_COMPARTMENT

COMPARTMENT
        TYPE                    soma_inhib_PCR
        SPIKESHAPE              AP_Hoff
        TAU_MEMBRANE            0.020           0.0
        R_MEMBRANE              200             0
        THRESHOLD               -50             0
        VMREST                  -60             0
        LEAK_REVERSAL           0.0             0.0
        LEAK_CONDUCTANCE        0.0             0.0
END_COMPARTMENT

COMPARTMENT
        TYPE                    soma_probe_HP
        SPIKESHAPE              AP_Hoff
        TAU_MEMBRANE            0.020           0.0
        R_MEMBRANE              200             0
        THRESHOLD               -50             0
        VMREST                  -60             0        
END_COMPARTMENT

############################### Define SPIKESHAPES ###########################
SPIKESHAPE
  TYPE		AP_Hoff

  VOLTAGES	-38 30 -43 -60 -60

END_SPIKESHAPE

SPIKESHAPE
  TYPE		AP_OLM

  VOLTAGES	-38 30 -43 -60 -60 -60 -60 -60 -60 -60

END_SPIKESHAPE

############################### Define IP and DT Cell Type #########################
CELL
	TYPE			IP_I
	COMPARTMENT		soma_inhib_IP	somaIP		0	0	0
END_CELL

CELL
	TYPE			O_LM
	COMPARTMENT		soma_inhib_OLM		somaI_OLM		0	0	0
END_CELL

############################### Define IP and DT Compartments ##########################
COMPARTMENT
        TYPE                    soma_inhib_IP
        SPIKESHAPE              AP_Hoff
        TAU_MEMBRANE            0.020           0.0
        R_MEMBRANE              200             0
        THRESHOLD               -50             0
        VMREST                  -60             0
        LEAK_REVERSAL           0.0             0.0
        LEAK_CONDUCTANCE        0.0             0.0
END_COMPARTMENT

COMPARTMENT
        TYPE                    soma_inhib_OLM
        SPIKESHAPE              AP_OLM
        TAU_MEMBRANE            0.020           0.0
        R_MEMBRANE              200             0
        THRESHOLD               -50             0
        VMREST                  -60             0
        LEAK_REVERSAL           0.0             0.0
        LEAK_CONDUCTANCE        0.0             0.0
END_COMPARTMENT

################################ Define channels ##########################################

CHANNEL Kahp
        TYPE                            ahp_PCR
        SEED                            999999
        M_INITIAL                       0.0             0.0
        REVERSAL_POTENTIAL              -80             0 
        M_POWER                         2
        UNITARY_G                       6
        STRENGTH                        0.00044
        CA_SCALE_FACTOR                 0.000125
        CA_EXP_FACTOR                   2
        CA_HALF_MIN                     2.5
        CA_TAU_SCALE_FACTOR             0.01
END_CHANNEL

