############################### Define Column Shells #########################
COLUMN_SHELL
        TYPE                    PF_LEFT2_shell
        WIDTH                   300
        HEIGHT                  800
        LOCATION                0               0
END_COLUMN_SHELL

############################### Fill Columns #################################
COLUMN
        TYPE                    PF_LEFT2_COLUMN
        COLUMN_SHELL            PF_LEFT2_shell
        LAYER_TYPE              layer_PF_LEFT2
END_COLUMN

############################### Define Layer Shells #########################
LAYER_SHELL
	TYPE                layer_PF_LEFT2_shell
	LOWER                0
	UPPER                100
END_LAYER_SHELL

############################### Fill Layers ##################################
LAYER
	TYPE			layer_PF_LEFT2
	LAYER_SHELL		layer_PF_LEFT2_shell
	CELL_TYPE		PF_LEFT2_E1     100
	CELL_TYPE		PF_LEFT2_E2     100
	CELL_TYPE		PF_LEFT2_E3     100
	CELL_TYPE		PF_LEFT2_E4     100
	CELL_TYPE		PF_LEFT2_E5     100
	CELL_TYPE		PF_LEFT2_E6     100
	CELL_TYPE		PF_LEFT2_E7     100
	CELL_TYPE		PF_LEFT2_E8     100
	CELL_TYPE		PF_LEFT2_E9     100
	CELL_TYPE		PF_LEFT2_E10	 100
	CELL_TYPE		PF_LEFT2_E11	 100
	CELL_TYPE		PF_LEFT2_E12	 100
	CELL_TYPE		PF_LEFT2_E13	 100
	CELL_TYPE		PF_LEFT2_I1     100
	CELL_TYPE		PF_LEFT2_I2     100
	CELL_TYPE		PF_LEFT2_I3     100

    CELL_TYPE       PF_probe_LEFT2        100

################################################
#-----E-E within group
################################################
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E9	somaE
                PF_LEFT2_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E10	somaE
                PF_LEFT2_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E11	somaE
                PF_LEFT2_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E12	somaE
                PF_LEFT2_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E13	somaE
                PF_LEFT2_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E1-E 
################################################
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E2-E 
################################################
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E3-E 
################################################
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E4-E 
################################################
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E5-E 
################################################
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E6-E 
################################################
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E7-E 
################################################
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E8-E 
################################################
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E9-E 
################################################
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E1  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E2  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E3  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E4  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E5  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E6  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E7  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E8  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E10 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E11 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E12 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_E13 somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E10-E 
################################################
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E1  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E2  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E3  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E4  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E5  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E6  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E7  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E8  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E9 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E11 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E12 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E10  somaE
                PF_LEFT2_E13 somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E11-E 
################################################
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E1  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E2  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E3  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E4  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E5  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E6  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E7  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E8  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E9 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E10 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E12 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E11  somaE
                PF_LEFT2_E13 somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E12-E 
################################################
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E1  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E2  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E3  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E4  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E5  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E6  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E7  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E8  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E9 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E10 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E11 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E12  somaE
                PF_LEFT2_E13 somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT2_E13-E 
################################################

    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E1  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E2  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E3  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E4  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E5  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E6  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E7  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E8  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E9 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E10 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E11 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT2_E13  somaE
                PF_LEFT2_E12 somaE
                synEE_PF	0.03	0

################################################
#-----E-PF_LEFT2_I1 connections	
################################################
    CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E9	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E10	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E11	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E12	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E13	somaE
                PF_LEFT2_I1	somaI
                synEI_PF	0.03	0

################################################
#-----E-PF_LEFT2_I2 connections
################################################
    CONNECT
                PF_LEFT2_E1	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E2	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E3	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E4	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E5	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E6	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E7	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E8	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E9	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E10	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E11	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E12	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E13	somaE
                PF_LEFT2_I2	somaI
                synEI_PF	0.03	0

################################################
#-----E-PF_LEFT2_I3 connections  
################################################
    CONNECT
                PF_LEFT2_E1  somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E2  somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E3  somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E4  somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E5  somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E6  somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E7  somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E8  somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E9  somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E10 somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E11 somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E12 somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT2_E13 somaE
                PF_LEFT2_I3  somaI
                synEI_PF	0.03	0


################################################
#-----PF_LEFT2_I1-E connections
################################################
	
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E1	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E2	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E3	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E4	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E5	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E6	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E7	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E8	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E9	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E10	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E11	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E12	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_E13	somaE
                synIE_PF	0.03	0


################################################
#-----PF_LEFT2_I2-E connections
################################################
    
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E1  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E2  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E3  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E4  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E5  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E6  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E7  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E8  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E9  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E10 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E11 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E12 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I2  somaI
                PF_LEFT2_E13 somaE
                synIE_PF	0.03	0

################################################
#-----PF_LEFT2_I3-E connections
################################################
    
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E1  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E2  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E3  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E4  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E5  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E6  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E7  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E8  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E9  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E10 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E11 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E12 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT2_I3  somaI
                PF_LEFT2_E13 somaE
                synIE_PF	0.03	0


################################################
#----- PF_LEFT2_I1 I connections
################################################
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_I1	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_I2	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT2_I1	somaI
                PF_LEFT2_I3	somaI
                synII_PF	.04	0

################################################
#----- PF_LEFT2_I2 I connections
################################################
	CONNECT
                PF_LEFT2_I2	somaI
                PF_LEFT2_I1	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT2_I2	somaI
                PF_LEFT2_I2	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT2_I2	somaI
                PF_LEFT2_I3	somaI
                synII_PF	.04	0
################################################
#----- PF_LEFT2_I3 I connections
################################################
	CONNECT
                PF_LEFT2_I3	somaI
                PF_LEFT2_I1	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT2_I3	somaI
                PF_LEFT2_I2	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT2_I3	somaI
                PF_LEFT2_I3	somaI
                synII_PF	.04	0
END_LAYER

#############################################################################
############################### Define Cells ################################
CELL
	TYPE			PF_LEFT2_E1
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_E2
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_E3
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_E4
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_E5
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_E6
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_E7
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_E8
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_E9
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL


CELL
	TYPE			PF_LEFT2_E10
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_E11
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_E12
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_E13
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL
CELL
	TYPE			PF_LEFT2_I1
	COMPARTMENT		soma_inhib_PF	somaI	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_I2
	COMPARTMENT		soma_inhib_PF	somaI	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT2_I3
	COMPARTMENT		soma_inhib_PF	somaI	0	0	0
END_CELL

CELL
	TYPE			PF_probe_LEFT2
	COMPARTMENT		soma_probe_PF	somaE	0	0	0
END_CELL


#########################
## Define Compartments  
#########################

COMPARTMENT
    TYPE                        soma_exc_PF
    SPIKESHAPE                  spikeshape_1k_default
    TAU_MEMBRANE                0.020		0.0
    R_MEMBRANE                  200     	0
    THRESHOLD                   -50     	0
    VMREST                      -60     	0
    CA_INTERNAL                 5.0         0.0
    CA_EXTERNAL                 0.0         0.0
    CA_SPIKE_INCREMENT          100         0.0
    CA_TAU                      0.07      0.0
    CHANNEL                     ahp_PF
END_COMPARTMENT

COMPARTMENT
        TYPE                    soma_inhib_PF
        SPIKESHAPE              spikeshape_1k_default
        TAU_MEMBRANE            0.020           0.0
        R_MEMBRANE              200             0
        THRESHOLD               -50             0
        VMREST                  -60             0
        LEAK_REVERSAL           0.0             0.0
        LEAK_CONDUCTANCE        0.0             0.0
END_COMPARTMENT

## To monitor theta in prefrontal ##

COMPARTMENT
    TYPE                        soma_probe_PF
    SPIKESHAPE                  spikeshape_1k_default
    TAU_MEMBRANE                0.020		0.0
    R_MEMBRANE                  200     	0
    THRESHOLD                   -50     	0
    VMREST                      -60     	0
END_COMPARTMENT

################################ Define channels ##########################################

CHANNEL Kahp
        TYPE                            ahp_PF
        SEED                            999999
        M_INITIAL                       0.0             0.0
        REVERSAL_POTENTIAL              -80             0 
        M_POWER                         2
        UNITARY_G                       6
        STRENGTH                        0.00015
        CA_SCALE_FACTOR                 0.000125
        CA_EXP_FACTOR                   2
        CA_HALF_MIN                     2.5
        CA_TAU_SCALE_FACTOR             0.01
END_CHANNEL

