############################### Define Column Shells #########################
COLUMN_SHELL
    TYPE           SUB_RIGHT_SHELL
    WIDTH          300
    HEIGHT         800
    LOCATION       0             0
END_COLUMN_SHELL

############################### Fill Columns #################################
COLUMN
    TYPE           SUB_RIGHT_COLUMN
    COLUMN_SHELL   SUB_RIGHT_SHELL
    LAYER_TYPE     layer_SUB_RIGHT
END_COLUMN

############################### Define Layer Shells #########################
LAYER_SHELL
    TYPE           layer_SUB_RIGHT_shell
    LOWER          0
    UPPER          100
END_LAYER_SHELL

############################### Fill Layers ##################################
LAYER
	TYPE			layer_SUB_RIGHT
	LAYER_SHELL		layer_SUB_RIGHT_shell
	CELL_TYPE		SUB_RIGHT_E_RS     80
    CELL_TYPE		SUB_RIGHT_E_SB     80
	CELL_TYPE		SUB_RIGHT_I        20

##############################################################################
# ----- I-E within group
##############################################################################

    CONNECT
                    SUB_RIGHT_I          somaI
                    SUB_RIGHT_E_RS       somaE
                    synIE_SUB   0.2   0

    CONNECT
                    SUB_RIGHT_I          somaI
                    SUB_RIGHT_E_SB       somaE
                    synIE_SUB   0.2   0

    CONNECT
                    SUB_RIGHT_E_SB       somaE
                    SUB_RIGHT_E_RS       somaE
                    synEE_SUB   0.1   0

END_LAYER

#############################################################################
############################### Define Cells ################################
CELL
    TYPE            SUB_RIGHT_I
    COMPARTMENT     soma_inhib_SUB  somaI   0   0   0
END_CELL

CELL
    TYPE            SUB_RIGHT_E_SB
    COMPARTMENT     soma_exc_SUB_SB    somaE   0   0   0
END_CELL

CELL
    TYPE            SUB_RIGHT_E_RS
    COMPARTMENT     soma_exc_SUB_RS    somaE   0   0   0
END_CELL

