 
######################### 
## Define Column Shells  
######################### 
COLUMN_SHELL 
    TYPE            columnshell_default 
    WIDTH           300 
    HEIGHT          800 
    LOCATION        0	0 
END_COLUMN_SHELL
 
######################### 
## Define Columns  
######################### 
# no within-column connections in this model 
COLUMN 
   	TYPE          	column_VL1 
   	COLUMN_SHELL    columnshell_default 
  	LAYER_TYPE      layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL2 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL3 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL4 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL5 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL6 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL7 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL8 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL9 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL10 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN
COLUMN 
   	TYPE           	column_VL11 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL12 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL13 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN 
COLUMN 
   	TYPE           	column_VL14 
   	COLUMN_SHELL   	columnshell_default 
   	LAYER_TYPE     	layer_VL 
END_COLUMN  

######################### 
## Define Layer Shells  
######################### 
LAYER_SHELL 
	TYPE            layershell_default_VL 
	UPPER           100 
	LOWER           0 
END_LAYER_SHELL 
 
######################### 
## Define Layers   
######################### 
LAYER 
	TYPE			layer_VL 
	LAYER_SHELL		layershell_default_VL 
	CELL_TYPE		cell_E	200 
    # no within-layer connections in this model 
END_LAYER 

######################### 
## Define Cells   
######################### 
CELL 
	TYPE			cell_E 
    #--   args:     type      	newlabel  	x	y  	z  (in mm) 
	COMPARTMENT		soma_exc	soma_E      0 	0	0 
    #-- single compartment, so no connections here 
END_CELL 

######################### 
## Define Compartments   
######################### 

COMPARTMENT 
    TYPE           	soma_exc
    SPIKESHAPE      spikeshape_1k_default 
    TAU_MEMBRANE    0.020	0.0 
    R_MEMBRANE      200     0 
    THRESHOLD       -50     0 
    VMREST          -60     0 
END_COMPARTMENT 
 

######################### 
## Define Spikeshape  
######################### 
SPIKESHAPE 
  TYPE		spikeshape_1k_default 
  VOLTAGES	-38 30 -43 -60 -60  
END_SPIKESHAPE 


 



