############################### Define STIMULUS INJECTS #######################

## PCRs ignition by grid cells##

STIMULUS_INJECT
	TYPE			PCR1_GCstim
	STIM_TYPE		realstim_EC_PCR1
	INJECT		CA_COLUMN layer_SP PCR1_E somaE_PCR 0.5
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR2_GCstim
	STIM_TYPE		realstim_EC_PCR2
	INJECT		CA_COLUMN layer_SP PCR2_E somaE_PCR 0.5
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR3_GCstim
	STIM_TYPE		realstim_EC_PCR3
	INJECT		CA_COLUMN layer_SP PCR3_E somaE_PCR 0.5
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR4_GCstim
	STIM_TYPE		realstim_EC_PCR4
	INJECT		CA_COLUMN layer_SP PCR4_E somaE_PCR 0.5
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR5_GCstim
	STIM_TYPE		realstim_EC_PCR5
	INJECT		CA_COLUMN layer_SP PCR5_E somaE_PCR 0.5
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR6_GCstim
	STIM_TYPE		realstim_EC_PCR6
	INJECT		CA_COLUMN layer_SP PCR6_E somaE_PCR 0.5
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR7_GCstim
	STIM_TYPE		realstim_EC_PCR6
	INJECT		CA_COLUMN layer_SP PCR7_E somaE_PCR 1.0
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR8_GCstim
	STIM_TYPE		realstim_EC_PCR6
	INJECT		CA_COLUMN layer_SP PCR8_E somaE_PCR 1.0
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR9_GCstim
	STIM_TYPE		realstim_EC_PCR3
	INJECT		CA_COLUMN layer_SP PCR9_E somaE_PCR 1.0
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR10_GCstim
	STIM_TYPE		realstim_EC_PCR3
	INJECT		CA_COLUMN layer_SP PCR10_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR11_GCstim
	STIM_TYPE		realstim_EC_PCR6
	INJECT		CA_COLUMN layer_SP PCR11_E somaE_PCR 1.0
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR12_GCstim
	STIM_TYPE		realstim_EC_PCR6
	INJECT		CA_COLUMN layer_SP PCR12_E somaE_PCR 1.0
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR13_GCstim
	STIM_TYPE		realstim_EC_PCR6
	INJECT		CA_COLUMN layer_SP PCR13_E somaE_PCR 1.0
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR14_GCstim
	STIM_TYPE		realstim_EC_PCR6
	INJECT		CA_COLUMN layer_SP PCR14_E somaE_PCR 1.0
END_STIMULUS_INJECT

##Jump start##

STIMULUS_INJECT
	TYPE			PCR1_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR1_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR2_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR2_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR3_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR3_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR4_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR4_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR5_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR5_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR6_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR6_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR7_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR7_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR8_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR8_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR9_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR9_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR10_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR10_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR11_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR11_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR12_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR12_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR13_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR13_E somaE_PCR 1.0
END_STIMULUS_INJECT

STIMULUS_INJECT
	TYPE			PCR14_inj_stimE
	STIM_TYPE		realstim_EC
	INJECT		CA_COLUMN layer_SP PCR14_E somaE_PCR 1.0
END_STIMULUS_INJECT


############################### Define STIMULUS ##############################

## -------------REALSTIM

# Used to jumpstart RAIN networks 

STIMULUS
	TYPE			realstim_EC
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		100
	CELLS_PER_FREQ	1
	DYN_RANGE		0	400
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		3
	WIDTH			0.001
	TIME_START		0   
	TIME_END		0.1   
	FREQ_START		999999
END_STIMULUS

# Used to ignite PCRs ##

STIMULUS
	TYPE			realstim_EC_PCR1
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		100
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		1
	WIDTH			0.001
	TIME_START		0.5    9.5    18.5    27.5     36.5     45.5    54.5    63.5    72.5    81.5   
	TIME_END		1.2    10.2   19.2    28.2     37.2     46.2    55.2    64.2    73.2    82.2
	FREQ_START		999999
END_STIMULUS

STIMULUS
	TYPE			realstim_EC_PCR2
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		100
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		1
	WIDTH			0.001
	TIME_START		0.5    9.5    18.5    27.5     36.5     45.5    54.5    63.5    72.5    81.5   
	TIME_END		1.2    10.2   19.2    28.2     37.2     46.2    55.2    64.2    73.2    82.2 
	FREQ_START		999999
END_STIMULUS

STIMULUS
	TYPE			realstim_EC_PCR3
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		100
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		1
	WIDTH			0.001
	TIME_START		2.5   11.5   20.5   29.5     38.5     47.5     56.5     65.5    74.5    83.5    
	TIME_END		3.2   12.2   21.2   30.2     39.2     48.2     57.2     66.2    75.2    84.2
	FREQ_START		999999
END_STIMULUS

STIMULUS
	TYPE			realstim_EC_PCR4
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		100
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		1
	WIDTH			0.001
	TIME_START		2.5   11.5   20.5   29.5     38.5     47.5     56.5     65.5    74.5    83.5      
	TIME_END		3.2   12.2   21.2   30.2     39.2     48.2     57.2     66.2    75.2    84.2
	FREQ_START		999999
END_STIMULUS

STIMULUS
	TYPE			realstim_EC_PCR5
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		100
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		1
	WIDTH			0.001
	TIME_START		4.5   13.5   22.5   31.5     40.5     49.5     58.5     67.5    76.5    85.5    
	TIME_END		5.2   14.2   23.2   32.2     41.5     50.5     59.2     68.2    77.2    86.2
	FREQ_START		999999
END_STIMULUS

STIMULUS
	TYPE			realstim_EC_PCR6
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		100
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		1
	WIDTH			0.001
	TIME_START		4.5   13.5   22.5   31.5     40.5     49.5     58.5     67.5    76.5    85.5   
	TIME_END		5.2   14.2   23.2   32.2     41.5     50.5     59.2     68.2    77.2    86.2
	FREQ_START		999999
END_STIMULUS


