## SYNAPSES from PCR to PF

SYNAPSE 
	TYPE			synEE_PCR_PF 
	SFD_LABEL		NO_SFD 
	LEARN_LABEL		NO_LEARN
    #LEARN_LABEL		STDP_PCR_PF
	SYN_PSG         PSGexcit  
    #MAX_CONDUCT		0.006		0.0
    MAX_CONDUCT		0.0022		0.0
	DELAY			0.005		0.01
	SYN_REVERSAL	0           0 
	ABSOLUTE_USE    0.25         0.1 

##-- always starts with no STDP, then turn on/off as desired 
    HEBB_END     0.0
   #HEBB_START      6    
   #HEBB_END        8       
   HEBB_START      15    
   HEBB_END        17
   #HEBB_START      24    
   #HEBB_END        26 
   HEBB_START      33    
   #HEBB_END        35 
   #HEBB_START      42    
   #HEBB_END        44
   #HEBB_START      51
   #HEBB_END        53
   #HEBB_START      60    
   #HEBB_END        62
   #HEBB_START      69    
   #HEBB_END        71
   HEBB_END        89
END_SYNAPSE

# mod from Froemke RC, Poo MM, Dan Y. Nature 2005, PMID: 15759002 
SYN_LEARNING
        TYPE                    STDP_PCR_PF
        LEARNING                BOTH
        LEARNING_SHAPE          EXPONENT
        POS_HEB_WINDOW          0.05           0.0
        NEG_HEB_WINDOW          0.09           0.0

        #POS_HEB_PEAK_DELTA_USE  0.06         0.0
        POS_HEB_PEAK_DELTA_USE  0.06         0.0
        #NEG_HEB_PEAK_DELTA_USE  0.03 
        NEG_HEB_PEAK_DELTA_USE  0.03         0.0

        POS_HEB_PEAK_TIME       0.015           0.0
        NEG_HEB_PEAK_TIME       0.03           0.0
END_SYN_LEARNING
  
 
## SYNAPSES from PF to PCR

SYNAPSE 
	TYPE			synEE_PF_PCR_learning 
	SFD_LABEL		NO_SFD 
	LEARN_LABEL		NO_LEARN 
	SYN_PSG         PSGexcit 
	#MAX_CONDUCT		0.002		0.0 
	DELAY			0.005		0.01
	SYN_REVERSAL	0           0 
	ABSOLUTE_USE    0.25         0.1 

##-- always starts with no STDP, then turn on/off as desired 
       HEBB_END        0.0 
 	   HEBB_START      0.2 
	   HEBB_END        1000 
END_SYNAPSE 
 
SYNAPSE 
	TYPE			synEE_PF_PCR_no_learning 
	SFD_LABEL		NO_SFD 
	LEARN_LABEL		NO_LEARN 
	SYN_PSG         PSGexcit 
	#MAX_CONDUCT		0.002		0.0 
	DELAY			0.005		0.01
	SYN_REVERSAL	0           0 
	ABSOLUTE_USE    0.25         0.1 

##-- always starts with no STDP, then turn on/off as desired 
       HEBB_END        0.0 
 	   HEBB_START      0.2 
	   HEBB_END        1000 
END_SYNAPSE 
 
# mod from Froemke RC, Poo MM, Dan Y. Nature 2005, PMID: 15759002 
SYN_LEARNING
        TYPE                    STDP_PF_PCR
        LEARNING                BOTH
        LEARNING_SHAPE          EXPONENT
        POS_HEB_WINDOW          0.05           0.0
        NEG_HEB_WINDOW          0.09           0.0

        POS_HEB_PEAK_DELTA_USE  0.003         0.0
        NEG_HEB_PEAK_DELTA_USE  0.003          0.0

        POS_HEB_PEAK_TIME       0.015           0.0
        NEG_HEB_PEAK_TIME       0.03           0.0
END_SYN_LEARNING
