##-- 2010_06_22:: Added PF RAIN networks


############################### Define SYNAPSES ##############################
SYNAPSE
	TYPE			synEE_PF
	SFD_LABEL		NO_SFD_D
	LEARN_LABEL		STDP_PF_within
    #LEARN_LABEL		NO_LEARN_D
	SYN_PSG         PSGexcit_D
	MAX_CONDUCT		0.004		0.0
	DELAY			0.001		0.005
	SYN_REVERSAL	0           0
	ABSOLUTE_USE	0.5		    0.05
##-- always starts with no STDP, then turn on/off as desired 
    HEBB_END     0.0
   #HEBB_START      6    
   #HEBB_END        8       
   HEBB_START      15    
   HEBB_END        17
   #HEBB_START      24    
   #HEBB_END        26 
   HEBB_START      33    
   #HEBB_END        35 
   #HEBB_START      42    
   #HEBB_END        44
   #HEBB_START      51
   #HEBB_END        53
   #HEBB_START      60    
   #HEBB_END        62
   #HEBB_START      69    
   #HEBB_END        71
   HEBB_END        89
END_SYNAPSE 
 
# mod from Froemke RC, Poo MM, Dan Y. Nature 2005, PMID: 15759002 
SYN_LEARNING
        TYPE                    STDP_PF_within
        LEARNING                BOTH
        LEARNING_SHAPE          EXPONENT
        POS_HEB_WINDOW          0.05           0.0
        NEG_HEB_WINDOW          0.09           0.0

        #POS_HEB_PEAK_DELTA_USE  0.0557         0.0
        POS_HEB_PEAK_DELTA_USE  0.059         0.0
        #NEG_HEB_PEAK_DELTA_USE  0.0291 
        NEG_HEB_PEAK_DELTA_USE  0.03         0.0

        POS_HEB_PEAK_TIME       0.015           0.0
        NEG_HEB_PEAK_TIME       0.03           0.0
END_SYN_LEARNING

SYN_FACIL_DEPRESS
        TYPE                    F_AUGMENT
        SEED                    999999
        #FACIL_TAU               0.01           0.0
        FACIL_TAU               0.04           0.0        
        SFD                     FACIL
END_SYN_FACIL_DEPRESS


SYNAPSE
	TYPE			synEI_PF
	SFD_LABEL		NO_SFD_D
	LEARN_LABEL		NO_LEARN_D
	SYN_PSG         PSGexcit_D
	MAX_CONDUCT		0.004		0.0
	DELAY			0.001		0.005
	SYN_REVERSAL	0           0
	ABSOLUTE_USE	0.5		0.05
END_SYNAPSE

SYNAPSE
	TYPE			synIE_PF
	SFD_LABEL		NO_SFD_D
	LEARN_LABEL		NO_LEARN_D
	SYN_PSG         PSGinhib_D
	MAX_CONDUCT		0.2       0.0
	DELAY			0.001		0.001
	SYN_REVERSAL	-80         0
	ABSOLUTE_USE	0.5		0.05
END_SYNAPSE

SYNAPSE
	TYPE			synII_PF
	SFD_LABEL		NO_SFD_D
	LEARN_LABEL		NO_LEARN_D
	SYN_PSG         PSGinhib_D
	MAX_CONDUCT		0.08  	0.0
	DELAY			0.001		0.001
	SYN_REVERSAL	-80         0
	ABSOLUTE_USE	0.5		0.05
END_SYNAPSE







