##-- 2009_06_06:: Change Delta to Rain to Rain_ahp

############################### Define SYNAPSES ##############################
SYNAPSE
	TYPE			synEE_RC
	SFD_LABEL		NO_SFD_D
	LEARN_LABEL		NO_LEARN_D
#	LEARN_LABEL		STDP_DAN_D
	SYN_PSG         PSGexcit_D
	MAX_CONDUCT		0.004        0.0
	DELAY			0.001		0.005
	SYN_REVERSAL	0           0
	ABSOLUTE_USE	0.5		    0.05
#	HEBB_END		0.0   
#	HEBB_START		10.0
END_SYNAPSE

SYNAPSE
	TYPE			synEI_RC
	SFD_LABEL		NO_SFD_D
	LEARN_LABEL		NO_LEARN_D
	SYN_PSG         PSGexcit_D
	MAX_CONDUCT		0.004   	0.0
	DELAY			0.001		0.005
	SYN_REVERSAL	0           0
	ABSOLUTE_USE	0.5         0.05
END_SYNAPSE

SYNAPSE
	TYPE			synIE_RC
	SFD_LABEL		NO_SFD_D
	LEARN_LABEL		NO_LEARN_D
	SYN_PSG         PSGinhib_D
	MAX_CONDUCT		0.2        0.0
	DELAY			0.001		0.001
	SYN_REVERSAL	-80         0
	ABSOLUTE_USE	0.5         0.05
END_SYNAPSE

SYNAPSE
	TYPE			synII_RC
	SFD_LABEL		NO_SFD_D
	LEARN_LABEL		NO_LEARN_D
	SYN_PSG         PSGinhib_D
	MAX_CONDUCT		0.075       0.0
	DELAY			0.001		0.001
	SYN_REVERSAL	-80         0
	ABSOLUTE_USE	0.5         0.05
END_SYNAPSE

###########################  SFD  ##########################################
#-----SYNAPSE WITH SFD - ADDED ON 2009_06_22

SYN_FACIL_DEPRESS
        TYPE                    V2
        SEED                    999999
        SFD                     BOTH
#       FACIL_TAU               0.006           0.022
#       DEPR_TAU                0.463           0.417
#       DEPR_TAU                0.2             0.010
END_SYN_FACIL_DEPRESS

#-----SYNAPSE W/O SFD

SYN_FACIL_DEPRESS
        TYPE                    NO_SFD_D
        SFD                     NONE
        FACIL_TAU               0.0           0.0
        DEPR_TAU                0.0           0.0
END_SYN_FACIL_DEPRESS

############################### Long-term synaptic Dynamics ##################
SYN_LEARNING
        TYPE                    NO_LEARN_D
        LEARNING                NONE
        LEARNING_SHAPE          EXPONENT
        NEG_HEB_WINDOW          0.1             0.0
        POS_HEB_WINDOW          0.05            0.0
        POS_HEB_PEAK_DELTA_USE  0.02            0.0
        NEG_HEB_PEAK_DELTA_USE  0.01            0.0
        POS_HEB_PEAK_TIME       0.005           0.0
        NEG_HEB_PEAK_TIME       0.005           0.0
END_SYN_LEARNING

# mod from Froemke RC, Poo MM, Dan Y. Nature 2005, PMID: 15759002 
SYN_LEARNING
        TYPE                    STDP_DAN_D
        LEARNING                NONE
        LEARNING_SHAPE          EXPONENT
        POS_HEB_WINDOW          0.045           0.0
        NEG_HEB_WINDOW          0.090           0.0
        POS_HEB_PEAK_DELTA_USE  0.00045         0.0
        NEG_HEB_PEAK_DELTA_USE  0.0003          0.0
        POS_HEB_PEAK_TIME       0.015           0.0
        NEG_HEB_PEAK_TIME       0.035           0.0
# Note: _PEAK_TIMES are the expon TAU values in EXPONENT mode
END_SYN_LEARNING

############################### synaptic CONDUCTANCE WAVEFORMS ###############
SYN_PSG
        TYPE                    PSGexcit_D
        PSG_FILE                EPSG_Vogels_FSV1k_TAU05.inc
END_SYN_PSG

SYN_PSG
        TYPE                    PSGinhib_D
        PSG_FILE                IPSG_Vogels_FSV1k_TAU10.inc
END_SYN_PSG

############################### Define SPIKESHAPES ###########################
SPIKESHAPE
  TYPE		AP_Hoff_D

  VOLTAGES	-38 30 -43 -60 -60 

END_SPIKESHAPE

