#pragma once

void CUDAKaChannel(const unsigned int* compartmentIDs,
				   const float* compartmentVoltages,
				   const unsigned int* tauMIndices,
				   const float* tauMVoltage,
				   const float* tauMValue,
				   const float* eHalfMinM,
				   const float* slopeFactorM,
				   const unsigned int* tauHIndices,
				   const float* tauHVoltage,
				   const float* tauHValue,
				   const float* eHalfMinH,
				   const float* slopeFactorH,
				   const float* unitaryG,
				   const float* strength,
				   const float* mPower,
				   const float* hPower,
				   const float* reversalPotential,
				   float* _m,
				   float* _h,
				   float* compartmentCurrents,
				   float dt,
				   unsigned int numChannels);
