#pragma once

void CUDAKmChannel(const unsigned int* compartmentIDs,
                   const float* compartmentVoltages,
				   const float* eHalfMinM,
				   const float* tauScaleFactorM,
				   const float* slopeFactorM0,
				   const float* slopeFactorM1,
				   const float* slopeFactorM2,
				   const float* unitaryG,
				   const float* strength,
				   const float* mPower,
				   const float* reversalPotential,
				   float* _m,
				   float* compartmentCurrents,
				   float dt,
				   unsigned int numChannels);
