AUX_SOURCE_DIRECTORY("ncs5" source)
FIND_PACKAGE(BISON)
FIND_PACKAGE(FLEX)
BISON_TARGET(ncsParser "ncs5/parser.y" ${CMAKE_CURRENT_BINARY_DIR}/parser.cpp)
FLEX_TARGET(ncsScanner "ncs5/scanner.l" ${CMAKE_CURRENT_BINARY_DIR}/scanner.cpp)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
ADD_LIBRARY(slugreaderncs5 
            SHARED 
			${source} 
			${BISON_ncsParser_OUTPUTS}
			${FLEX_ncsScanner_OUTPUTS}) 
SET_TARGET_PROPERTIES(slugreaderncs5 PROPERTIES LINKER_LANGUAGE CXX)
TARGET_LINK_LIBRARIES(slugreaderncs5 slug)
