#pragma once
#include <slug/spec/Components.h>

namespace slug
{

namespace readers
{

namespace ncs5
{
struct FileResults;

	FileResults* read(const std::string& path,
	          slug::spec::NeuronList& neurons,
		  slug::spec::SynapseList& synapses,
		  slug::spec::InputList& inputs,
		  slug::spec::ReportList& reports);

	bool finalize(slug::spec::Cluster* cluster,
	              FileResults* fileResults);

} //namespace ncs5

} //namespace readers

} //namespace slug
	
