/*
	Implementation for SynapticWeightBuffer.h
	namespace slug::sim
*/

template<util::MemoryType MType>
SynapticWeightBuffer<MType>::
SynapticWeightBuffer(unsigned int vectorSize)
	: numElements(vectorSize),
	  synapticWeightVector(nullptr)
{
	if (numElements > 0)
	{
		synapticWeightVector =
			util::Memory<MType>::template _allocate<float>(numElements);
	}
}

template<util::MemoryType MType>
void SynapticWeightBuffer<MType>::clear()
{
}
