#include <slug/sim/FireTableUpdater.h>
#include <slug/sim/cuda/FireTableUpdate.h>

using namespace slug::sim;
using namespace slug;

template<> 
void FireTableUpdater<util::MemoryType::System>::
update(unsigned int timeStep,
	   unsigned int* neuronFireVector,
	   unsigned int neuronFireVectorSize,
	   unsigned int row,
	   unsigned int numRows)
{
	//TODO: Implement me
}

template<> 
void FireTableUpdater<util::MemoryType::CUDA>::
update(unsigned int timeStep,
	   unsigned int* neuronFireVector,
	   unsigned int neuronFireVectorSize,
	   unsigned int row,
	   unsigned int numRows)
{
	if (_synapticVectorSize == 0)
		return;
	updateFireTable(timeStep,
	                neuronFireVector,
					neuronFireVectorSize,
					_fireTable->table(),
					_fireTable->vectorSize(),
					row,
					numRows,
					_presynapticNeuronIDs,
					_synapticDelays,
					_synapticVectorSize);
}

template<> 
void FireTableUpdater<util::MemoryType::OpenCL>::
update(unsigned int timeStep,
	   unsigned int* neuronFireVector,
	   unsigned int neuronFireVectorSize,
	   unsigned int row,
	   unsigned int numRows)
{
	//TODO: Implement me 
}
