#include <slug/spec/CUDADevice.h>

using namespace slug::spec;
using namespace slug;

const std::string& CUDADevice::type() const
{
	//Result is const ref, so allocate only one of these
	static std::string s = "CUDA";
	return s;
}

bool CUDADevice::writeSpecification(util::OutputStream& bs) const
{
	//Write out the device number so the sim can access the device
	bs << deviceNumber;
	return true;
}

