#include <slug/spec/Input.h>

using namespace slug::spec;
using namespace slug;

Input::Input(util::Unique _type,
             Neuron* n)
	: Element(_type),
	  neuron(nullptr)
{
	if (nullptr != n)
	{
		connect(n);
	}
}

bool Input::connect(Neuron* n)
{
	if (nullptr != neuron)
		return false;
	neuron = n;
	neuron->inputs.push_back(this);
	return true;
}

