# - Try to find slug
# Once done this will define
#
#  SLUG_FOUND - system has slug
#  SLUG_INCLUDES - the slug include directory
#  SLUG_LIBRARY - Link these to use slug

FIND_PATH (SLUG_INCLUDES slug/BrainSimulator.h
				PATHS
				ENV CPATH
				/usr/include
				/usr/local/include
				/opt/local/include
				${SLUG_SOURCE_DIR}/slug/include/
		  )

IF(SLUG_INCLUDES)
	SET(SLUG_FOUND TRUE)
	SET(SLUG_INCLUDES ${SLUG_INCLUDES})
ENDIF(SLUG_INCLUDES)

IF(SLUG_FOUND)
	IF(NOT SLUG_FIND_QUIETLY)
		MESSAGE(STATUS "Found Slug")
	ENDIF(NOT SLUG_FIND_QUIETLY)
ELSE(SLUG_FOUND)
	IF(SLUG_FIND_REQUIRED)
		MESSAGE(FATAL_ERROR "Could not find Slug")
	ENDIF(SLUG_FIND_REQUIRED)
ENDIF(SLUG_FOUND)

