#pragma once

#include <Recipe.h>
#include <unordered_set>

struct NeuronSet;
struct SetCluster;

struct NeuronSet
{
	NeuronRecipe* recipe;
	std::string name;
	std::unordered_set<SetCluster*> clusters;
	unsigned int count;
};

struct SetCluster
{
	std::unordered_set<NeuronSet*> sets;
	std::string name;
};

typedef std::map<std::string, NeuronSet*> NeuronSetMap;
