############################### Define Column Shells #########################
COLUMN_SHELL
        TYPE                    PF_LEFT6_shell
        WIDTH                   300
        HEIGHT                  800
        LOCATION                0               0
END_COLUMN_SHELL

############################### Fill Columns #################################
COLUMN
        TYPE                    PF_LEFT6_COLUMN
        COLUMN_SHELL            PF_LEFT6_shell
        LAYER_TYPE              layer_PF_LEFT6
END_COLUMN

############################### Define Layer Shells #########################
LAYER_SHELL
	TYPE                layer_PF_LEFT6_shell
	LOWER                0
	UPPER                100
END_LAYER_SHELL

############################### Fill Layers ##################################
LAYER
	TYPE			layer_PF_LEFT6
	LAYER_SHELL		layer_PF_LEFT6_shell
	CELL_TYPE		PF_LEFT6_E1     100
	CELL_TYPE		PF_LEFT6_E2     100
	CELL_TYPE		PF_LEFT6_E3     100
	CELL_TYPE		PF_LEFT6_E4     100
	CELL_TYPE		PF_LEFT6_E5     100
	CELL_TYPE		PF_LEFT6_E6     100
	CELL_TYPE		PF_LEFT6_E7     100
	CELL_TYPE		PF_LEFT6_E8     100
	CELL_TYPE		PF_LEFT6_E9     100
	CELL_TYPE		PF_LEFT6_E10	 100
	CELL_TYPE		PF_LEFT6_E11	 100
	CELL_TYPE		PF_LEFT6_E12	 100
	CELL_TYPE		PF_LEFT6_E13	 100
	CELL_TYPE		PF_LEFT6_I1     100
	CELL_TYPE		PF_LEFT6_I2     100
	CELL_TYPE		PF_LEFT6_I3     100

################################################
#-----E-E within group
################################################
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E9	somaE
                PF_LEFT6_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E10	somaE
                PF_LEFT6_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E11	somaE
                PF_LEFT6_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E12	somaE
                PF_LEFT6_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E13	somaE
                PF_LEFT6_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E1-E 
################################################
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E2-E 
################################################
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E3-E 
################################################
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E4-E 
################################################
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E5-E 
################################################
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E6-E 
################################################
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E7-E 
################################################
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E8	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E8-E 
################################################
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E1	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E2	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E3	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E4	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E5	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E6	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E7	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E9	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E10	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E11	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E12	somaE
                synEE_PF	0.03	0
	CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_E13	somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E9-E 
################################################
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E1  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E2  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E3  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E4  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E5  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E6  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E7  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E8  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E10 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E11 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E12 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_E13 somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E10-E 
################################################
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E1  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E2  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E3  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E4  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E5  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E6  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E7  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E8  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E9 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E11 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E12 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E10  somaE
                PF_LEFT6_E13 somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E11-E 
################################################
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E1  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E2  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E3  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E4  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E5  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E6  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E7  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E8  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E9 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E10 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E12 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E11  somaE
                PF_LEFT6_E13 somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E12-E 
################################################
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E1  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E2  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E3  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E4  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E5  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E6  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E7  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E8  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E9 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E10 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E11 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E12  somaE
                PF_LEFT6_E13 somaE
                synEE_PF	0.03	0

################################################
#-----PF_LEFT6_E13-E 
################################################

    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E1  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E2  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E3  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E4  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E5  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E6  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E7  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E8  somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E9 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E10 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E11 somaE
                synEE_PF	0.03	0
    CONNECT
                PF_LEFT6_E13  somaE
                PF_LEFT6_E12 somaE
                synEE_PF	0.03	0

################################################
#-----E-PF_LEFT6_I1 connections	
################################################
    CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E9	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E10	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E11	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E12	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E13	somaE
                PF_LEFT6_I1	somaI
                synEI_PF	0.03	0

################################################
#-----E-PF_LEFT6_I2 connections
################################################
    CONNECT
                PF_LEFT6_E1	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E2	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E3	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E4	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E5	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E6	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E7	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E8	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E9	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E10	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E11	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E12	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E13	somaE
                PF_LEFT6_I2	somaI
                synEI_PF	0.03	0

################################################
#-----E-PF_LEFT6_I3 connections  
################################################
    CONNECT
                PF_LEFT6_E1  somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E2  somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E3  somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E4  somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E5  somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E6  somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E7  somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E8  somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E9  somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E10 somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E11 somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E12 somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0
    CONNECT
                PF_LEFT6_E13 somaE
                PF_LEFT6_I3  somaI
                synEI_PF	0.03	0


################################################
#-----PF_LEFT6_I1-E connections
################################################
	
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E1	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E2	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E3	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E4	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E5	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E6	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E7	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E8	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E9	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E10	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E11	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E12	somaE
                synIE_PF	0.03	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_E13	somaE
                synIE_PF	0.03	0


################################################
#-----PF_LEFT6_I2-E connections
################################################
    
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E1  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E2  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E3  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E4  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E5  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E6  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E7  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E8  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E9  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E10 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E11 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E12 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I2  somaI
                PF_LEFT6_E13 somaE
                synIE_PF	0.03	0

################################################
#-----PF_LEFT6_I3-E connections
################################################
    
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E1  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E2  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E3  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E4  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E5  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E6  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E7  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E8  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E9  somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E10 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E11 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E12 somaE
                synIE_PF	0.03	0
    CONNECT
                PF_LEFT6_I3  somaI
                PF_LEFT6_E13 somaE
                synIE_PF	0.03	0


################################################
#----- PF_LEFT6_I1 I connections
################################################
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_I1	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_I2	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT6_I1	somaI
                PF_LEFT6_I3	somaI
                synII_PF	.04	0

################################################
#----- PF_LEFT6_I2 I connections
################################################
	CONNECT
                PF_LEFT6_I2	somaI
                PF_LEFT6_I1	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT6_I2	somaI
                PF_LEFT6_I2	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT6_I2	somaI
                PF_LEFT6_I3	somaI
                synII_PF	.04	0
################################################
#----- PF_LEFT6_I3 I connections
################################################
	CONNECT
                PF_LEFT6_I3	somaI
                PF_LEFT6_I1	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT6_I3	somaI
                PF_LEFT6_I2	somaI
                synII_PF	.04	0
	CONNECT
                PF_LEFT6_I3	somaI
                PF_LEFT6_I3	somaI
                synII_PF	.04	0
END_LAYER

#############################################################################
############################### Define Cells ################################
CELL
	TYPE			PF_LEFT6_E1
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_E2
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_E3
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_E4
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_E5
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_E6
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_E7
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_E8
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_E9
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL


CELL
	TYPE			PF_LEFT6_E10
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_E11
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_E12
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_E13
	COMPARTMENT		soma_exc_PF	somaE	0	0	0
END_CELL
CELL
	TYPE			PF_LEFT6_I1
	COMPARTMENT		soma_inhib_PF	somaI	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_I2
	COMPARTMENT		soma_inhib_PF	somaI	0	0	0
END_CELL

CELL
	TYPE			PF_LEFT6_I3
	COMPARTMENT		soma_inhib_PF	somaI	0	0	0
END_CELL

