 
######################### 
## Define Column Shells  
######################### 
COLUMN_SHELL 
    TYPE            columnshell_PM 
    WIDTH           300 
    HEIGHT          800 
    LOCATION        0	0 
END_COLUMN_SHELL
 
######################### 
## Define Columns  
######################### 
 
COLUMN 
   	TYPE          	PM_LEFT_COLUMN 
   	COLUMN_SHELL    columnshell_PM 
  	LAYER_TYPE      layer_PM_LEFT 
END_COLUMN 
COLUMN 
   	TYPE           	PM_RIGHT_COLUMN 
   	COLUMN_SHELL   	columnshell_PM 
   	LAYER_TYPE     	layer_PM_RIGHT 
END_COLUMN 

######################### 
## Define Layer Shells  
#########################
 
LAYER_SHELL 
	TYPE            layershell_PM_LEFT
	UPPER           100 
	LOWER           0 
END_LAYER_SHELL

LAYER_SHELL 
	TYPE            layershell_PM_RIGHT
	UPPER           100 
	LOWER           0 
END_LAYER_SHELL  
 
######################### 
## Define Layers   
#########################
 
LAYER 
	TYPE			layer_PM_LEFT 
	LAYER_SHELL		layershell_PM_LEFT 
	CELL_TYPE		LEFT_E_PM	100  
END_LAYER 

LAYER 
	TYPE			layer_PM_RIGHT 
	LAYER_SHELL		layershell_PM_RIGHT 
	CELL_TYPE		RIGHT_E_PM	100  
END_LAYER 
######################### 
## Define Cells   
######################### 
CELL 
	TYPE			LEFT_E_PM  
	COMPARTMENT		soma_exc_PM     soma_E_PM      0 	0	0  
END_CELL 

CELL 
	TYPE			RIGHT_E_PM  
	COMPARTMENT		soma_exc_PM     soma_E_PM      0 	0	0  
END_CELL 


######################### 
## Define Compartments   
######################### 

COMPARTMENT 
    TYPE           	soma_exc_PM
    SPIKESHAPE      spikeshape_1k_default 
    TAU_MEMBRANE    0.020	0.0 
    R_MEMBRANE      200     0 
    THRESHOLD       -50     0 
    VMREST          -60     0 
END_COMPARTMENT 
 


 



