############################### Define Column Shells #########################
COLUMN_SHELL
        TYPE                    RAIN_ahp_PF_shell
        WIDTH                   300
        HEIGHT                  800
        LOCATION                0               0
END_COLUMN_SHELL

############################### Fill Columns #################################
COLUMN
        TYPE                    RAIN_ahp_PF_COLUMN
        COLUMN_SHELL            RAIN_ahp_PF_shell
        LAYER_TYPE              layer_RAIN_ahp_PF
END_COLUMN

############################### Define Layer Shells #########################
LAYER_SHELL
	TYPE                layer_RAIN_ahp_PF_shell
	LOWER                0
	UPPER                100
END_LAYER_SHELL

############################### Fill Layers ##################################
LAYER
	TYPE			layer_RAIN_ahp_PF
	LAYER_SHELL		layer_RAIN_ahp_PF_shell
	CELL_TYPE		RAIN_ahp_PF_E1     100
	CELL_TYPE		RAIN_ahp_PF_E2     100
	CELL_TYPE		RAIN_ahp_PF_E3     100
	CELL_TYPE		RAIN_ahp_PF_E4     100
	CELL_TYPE		RAIN_ahp_PF_E5     100
	CELL_TYPE		RAIN_ahp_PF_E6     100
	CELL_TYPE		RAIN_ahp_PF_E7     100
	CELL_TYPE		RAIN_ahp_PF_E8     100
	CELL_TYPE		RAIN_ahp_PF_E9     100
	CELL_TYPE		RAIN_ahp_PF_E10    100
	CELL_TYPE		RAIN_ahp_PF_E11    100
	CELL_TYPE		RAIN_ahp_PF_E12    100
	CELL_TYPE		RAIN_ahp_PF_E13    100
	CELL_TYPE		RAIN_ahp_PF_I1     100
	CELL_TYPE		RAIN_ahp_PF_I2     100
	CELL_TYPE		RAIN_ahp_PF_I3     100

################################################
#-----E-E within group
################################################
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E1	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E2	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E3	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E4	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E5	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E6	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E7	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E8	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E9	somaE
                RAIN_ahp_PF_E9	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E10	somaE
                RAIN_ahp_PF_E10	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E11	somaE
                RAIN_ahp_PF_E11	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E12	somaE
                RAIN_ahp_PF_E12	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E13	somaE
                RAIN_ahp_PF_E13	somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E1-E 
################################################
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E2	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E3	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E4	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E5	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E6	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E7	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E8	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E9	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E10	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E11	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E12	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_E13	somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E2-E 
################################################
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E1	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E3	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E4	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E5	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E6	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E7	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E8	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E9	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E10	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E11	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E12	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_E13	somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E3-E 
################################################
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E1	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E2	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E4	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E5	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E6	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E7	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E8	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E9	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E10	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E11	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E12	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_E13	somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E4-E 
################################################
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E1	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E2	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E3	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E5	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E6	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E7	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E8	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E9	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E10	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E11	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E12	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_E13	somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E5-E 
################################################
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E1	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E2	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E3	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E4	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E6	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E7	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E8	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E9	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E10	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E11	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E12	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_E13	somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E6-E 
################################################
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E1	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E2	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E3	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E4	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E5	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E7	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E8	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E9	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E10	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E11	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E12	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_E13	somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E7-E 
################################################
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E1	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E2	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E3	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E4	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E5	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E6	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E8	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E9	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E10	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E11	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E12	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_E13	somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E8-E 
################################################
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E1	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E2	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E3	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E4	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E5	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E6	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E7	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E9	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E10	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E11	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E12	somaE
                synEE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_E13	somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E9-E 
################################################
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E1  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E2  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E3  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E4  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E5  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E6  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E7  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E8  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E10 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E11 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E12 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_E13 somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E10-E 
################################################
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E1  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E2  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E3  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E4  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E5  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E6  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E7  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E8  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E9 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E11 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E12 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10  somaE
                RAIN_ahp_PF_E13 somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E11-E 
################################################
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E1  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E2  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E3  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E4  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E5  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E6  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E7  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E8  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E9 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E10 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E12 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11  somaE
                RAIN_ahp_PF_E13 somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E12-E 
################################################
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E1  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E2  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E3  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E4  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E5  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E6  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E7  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E8  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E9 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E10 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E11 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12  somaE
                RAIN_ahp_PF_E13 somaE
                synEE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_E13-E 
################################################

    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E1  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E2  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E3  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E4  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E5  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E6  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E7  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E8  somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E9 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E10 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E11 somaE
                synEE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13  somaE
                RAIN_ahp_PF_E12 somaE
                synEE_RC	0.03	0

################################################
#-----E-RAIN_ahp_PF_I1 connections	
################################################
    CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13	somaE
                RAIN_ahp_PF_I1	somaI
                synEI_RC	0.03	0

################################################
#-----E-RAIN_ahp_PF_I2 connections
################################################
    CONNECT
                RAIN_ahp_PF_E1	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E2	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E3	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E4	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E5	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E6	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E7	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E8	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13	somaE
                RAIN_ahp_PF_I2	somaI
                synEI_RC	0.03	0

################################################
#-----E-RAIN_ahp_PF_I3 connections  
################################################
    CONNECT
                RAIN_ahp_PF_E1  somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E2  somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E3  somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E4  somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E5  somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E6  somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E7  somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E8  somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E9  somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E10 somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E11 somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E12 somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_E13 somaE
                RAIN_ahp_PF_I3  somaI
                synEI_RC	0.03	0


################################################
#-----RAIN_ahp_PF_I1-E connections
################################################
	
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E1	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E2	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E3	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E4	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E5	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E6	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E7	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E8	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E9	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E10	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E11	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E12	somaE
                synIE_RC	0.03	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_E13	somaE
                synIE_RC	0.03	0


################################################
#-----RAIN_ahp_PF_I2-E connections
################################################
    
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E1  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E2  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E3  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E4  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E5  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E6  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E7  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E8  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E9  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E10 somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E11 somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E12 somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I2  somaI
                RAIN_ahp_PF_E13 somaE
                synIE_RC	0.03	0

################################################
#-----RAIN_ahp_PF_I3-E connections
################################################
    
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E1  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E2  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E3  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E4  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E5  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E6  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E7  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E8  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E9  somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E10 somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E11 somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E12 somaE
                synIE_RC	0.03	0
    CONNECT
                RAIN_ahp_PF_I3  somaI
                RAIN_ahp_PF_E13 somaE
                synIE_RC	0.03	0


################################################
#----- RAIN_ahp_PF_I1 I connections
################################################
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_I1	somaI
                synII_RC	.04	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_I2	somaI
                synII_RC	.04	0
	CONNECT
                RAIN_ahp_PF_I1	somaI
                RAIN_ahp_PF_I3	somaI
                synII_RC	.04	0

################################################
#----- RAIN_ahp_PF_I2 I connections
################################################
	CONNECT
                RAIN_ahp_PF_I2	somaI
                RAIN_ahp_PF_I1	somaI
                synII_RC	.04	0
	CONNECT
                RAIN_ahp_PF_I2	somaI
                RAIN_ahp_PF_I2	somaI
                synII_RC	.04	0
	CONNECT
                RAIN_ahp_PF_I2	somaI
                RAIN_ahp_PF_I3	somaI
                synII_RC	.04	0

################################################
#----- RAIN_ahp_PF_I3 I connections
################################################
	CONNECT
                RAIN_ahp_PF_I3	somaI
                RAIN_ahp_PF_I1	somaI
                synII_RC	.04	0
	CONNECT
                RAIN_ahp_PF_I3	somaI
                RAIN_ahp_PF_I2	somaI
                synII_RC	.04	0
	CONNECT
                RAIN_ahp_PF_I3	somaI
                RAIN_ahp_PF_I3	somaI
                synII_RC	.04	0
END_LAYER

#############################################################################
############################### Define Cells ################################

CELL
	TYPE			RAIN_ahp_PF_E1
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_E2
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_E3
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_E4
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_E5
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_E6
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_E7
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_E8
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_E9
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL


CELL
	TYPE			RAIN_ahp_PF_E10
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_E11
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_E12
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_E13
	COMPARTMENT		soma_exc_RC	somaE	0	0	0
END_CELL
CELL
	TYPE			RAIN_ahp_PF_I1
	COMPARTMENT		soma_inhib_RC	somaI	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_I2
	COMPARTMENT		soma_inhib_RC	somaI	0	0	0
END_CELL

CELL
	TYPE			RAIN_ahp_PF_I3
	COMPARTMENT		soma_inhib_RC	somaI	0	0	0
END_CELL








