############################### Define STIMULUS INJECTS #######################

## PCRs random activity##

STIMULUS_INJECT
	TYPE			PCR1_random
	STIM_TYPE		realstim_random_PCR1
	INJECT		CA_COLUMN layer_SP PCR1_E somaE_PCR 1.0
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR2_random
	STIM_TYPE		realstim_random_PCR2
	INJECT		CA_COLUMN layer_SP PCR2_E somaE_PCR 1.0
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR3_random
	STIM_TYPE		realstim_random_PCR3
	INJECT		CA_COLUMN layer_SP PCR3_E somaE_PCR 1.0
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR4_random
	STIM_TYPE		realstim_random_PCR4
	INJECT		CA_COLUMN layer_SP PCR4_E somaE_PCR 1.0
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR5_random
	STIM_TYPE		realstim_random_PCR5
	INJECT		CA_COLUMN layer_SP PCR5_E somaE_PCR 1.0
END_STIMULUS_INJECT


STIMULUS_INJECT
	TYPE			PCR6_random
	STIM_TYPE		realstim_random_PCR6
	INJECT		CA_COLUMN layer_SP PCR6_E somaE_PCR 1.0
END_STIMULUS_INJECT

############################### Define STIMULUS ##############################

STIMULUS
	TYPE			realstim_random_PCR1
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS       50
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		3
	WIDTH			0.001
    TIME_START      2.6548    3.2240   6.1643   19.7395   22.4124   27.1587   29.3383   31.5830
    TIME_END        2.9548    3.5240   6.4643   20.0395   22.7124   27.4587   29.6383   31.8830 	   
	FREQ_START		999999
END_STIMULUS

STIMULUS
	TYPE			realstim_random_PCR2
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		50
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		3
	WIDTH			0.001
	TIME_START		5.4735   14.1003   14.4623   16.5433   20.9892   21.1711   30.0339   30.1414
    TIME_END        5.7735   14.4003   14.7623   16.8433   21.2892   21.4711   30.3339   30.4414 
	FREQ_START		999999
END_STIMULUS

STIMULUS
	TYPE			realstim_random_PCR3
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		50
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		3
	WIDTH			0.001
	TIME_START		7.6573   10.7501   13.0169   14.2031   17.0440   17.7244   18.5256   23.7621   
    TIME_END        7.9573   11.0501   13.3169   14.5031   17.3440   18.0244   18.8256   24.0621  
	FREQ_START		999999
END_STIMULUS

STIMULUS
	TYPE			realstim_random_PCR4
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		50
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		3
	WIDTH			0.001
	TIME_START		2.7781    8.3242    9.6059   11.5344   15.4856   17.9161   18.7407   26.6676
    TIME_END        3.0781    8.6242    9.9059   11.8344   15.7856   18.2161   19.0407   26.9676 
	FREQ_START		999999
END_STIMULUS

STIMULUS
	TYPE			realstim_random_PCR5
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		50
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		3
	WIDTH			0.001
	TIME_START		2.3709    3.8146    7.7943    8.2330    9.5218   12.6043   15.8421   25.1222
    TIME_END        2.6709    4.1146    8.0943    8.5330    9.8218   12.9043   16.1421   25.4222  
	FREQ_START		999999
END_STIMULUS

STIMULUS
	TYPE			realstim_random_PCR6
	MODE			CURRENT
	PATTERN         FILE_BASED
    FILENAME        	./input/realstim_du50_ce100.inc
	TIME_INCREMENT	0.01
	FREQ_COLS		50
	CELLS_PER_FREQ	1
	DYN_RANGE		0	100
	TIMING          EXACT
	SAMESEED		NO
	AMP_START		3
	WIDTH			0.001
	TIME_START		4.3709    7.7943    8.2330    9.5218   12.6043   15.8421   25.1222   28.1222
    TIME_END        4.6709    8.0943    8.5330    9.8218   12.9043   16.1421   25.4222   28.4222
	FREQ_START		999999
END_STIMULUS