######################### 
## Define Stim from ports  
######################### 
STIMULUS 
	TYPE			portstim_VL1 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_pick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		200
	CELLS_PER_FREQ	1 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		3 
	WIDTH			0.001 
	TIME_START		0    9     18    27    36    45    54    63   72   81    
	TIME_END		2    11    20    29    38    47    56    65   74   83
	FREQ_START		999999 
END_STIMULUS 
 
STIMULUS 
	TYPE			portstim_VL2 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_unpick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		200 
	CELLS_PER_FREQ	1 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		3 
	WIDTH			0.001 
	TIME_START		0     9     18    27    36    45    54   63   72   81      
	TIME_END		2     11    20    29    38    47    56   65   74   83
	FREQ_START		999999 
END_STIMULUS 

STIMULUS 
	TYPE			portstim_VL3 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_unpick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		200 
	CELLS_PER_FREQ	1 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		3 
	WIDTH			0.001 
	TIME_START		2     11     20    29    38    47    56    65   74    83         
	TIME_END		4     13     22    31    40    49    58    67   76    85   
	FREQ_START		999999 
END_STIMULUS 

STIMULUS 
	TYPE			portstim_VL4 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_pick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		200 
	CELLS_PER_FREQ	1 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		3 
	WIDTH			0.001 
	TIME_START		2     11     20    29    38    47    56    65   74    83      
	TIME_END		4     13     22    31    40    49    58    67   76    85
	FREQ_START		999999 
END_STIMULUS 

STIMULUS 
	TYPE			portstim_VL5 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_pick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		200 
	CELLS_PER_FREQ	1 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		3 
	WIDTH			0.001 
	TIME_START		13    31    40     49     58    67   76     85      
	TIME_END		15    33    42     51     60    69   78     87
	FREQ_START		999999 
END_STIMULUS 

STIMULUS 
	TYPE			portstim_VL6 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_pick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		200 
	CELLS_PER_FREQ	1 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		3 
	WIDTH			0.001 
	TIME_START		4    22             
	TIME_END		6    24       
	FREQ_START		999999 
END_STIMULUS 

## not used from here ##

STIMULUS 
	TYPE			portstim_VL7 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_unpick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		1 
	CELLS_PER_FREQ	200 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		1.5 
	WIDTH			0.001 
	TIME_START		0  
    # reuse same input probability for up to 1000 seconds 
	TIME_END		1000  
	FREQ_START		999999 
END_STIMULUS 

STIMULUS 
	TYPE			portstim_VL8 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_unpick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		1 
	CELLS_PER_FREQ	200 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		1.5 
	WIDTH			0.001 
	TIME_START		0  
    # reuse same input probability for up to 1000 seconds 
	TIME_END		1000  
	FREQ_START		999999 
END_STIMULUS 

STIMULUS 
	TYPE			portstim_VL9 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_unpick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		1 
	CELLS_PER_FREQ	200 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		1.5 
	WIDTH			0.001 
	TIME_START		0  
    # reuse same input probability for up to 1000 seconds 
	TIME_END		1000  
	FREQ_START		999999 
END_STIMULUS 

STIMULUS 
	TYPE			portstim_VL10 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_unpick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		1 
	CELLS_PER_FREQ	200 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		1.5 
	WIDTH			0.001 
	TIME_START		0  
    # reuse same input probability for up to 1000 seconds 
	TIME_END		1000  
	FREQ_START		999999 
END_STIMULUS

STIMULUS 
	TYPE			portstim_VL11 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_unpick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		1 
	CELLS_PER_FREQ	200 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		1.5 
	WIDTH			0.001 
	TIME_START		0  
    # reuse same input probability for up to 1000 seconds 
	TIME_END		1000  
	FREQ_START		999999 
END_STIMULUS 

STIMULUS 
	TYPE			portstim_VL12 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_unpick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		1 
	CELLS_PER_FREQ	200 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		1.5 
	WIDTH			0.001 
	TIME_START		0  
    # reuse same input probability for up to 1000 seconds 
	TIME_END		1000  
	FREQ_START		999999 
END_STIMULUS

STIMULUS 
	TYPE			portstim_VL13 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_unpick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		1 
	CELLS_PER_FREQ	200 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		1.5 
	WIDTH			0.001 
	TIME_START		0  
    # reuse same input probability for up to 1000 seconds 
	TIME_END		1000  
	FREQ_START		999999 
END_STIMULUS

STIMULUS 
	TYPE			portstim_VL14 
	MODE			CURRENT 
	PATTERN			FILE_BASED 
   	FILENAME        ./input/VL_unpick.txt

    # each probability considered as fire/nofire every TIME_INCREMENT secs
	TIME_INCREMENT	0.005 
    # assumes 10 cells 
	FREQ_COLS		1 
	CELLS_PER_FREQ	200 
    # rescale range of firing assigned by probabilities 
	DYN_RANGE		0	50 
	TIMING			EXACT 
	SAMESEED		NO 
	AMP_START		1.5 
	WIDTH			0.001 
	TIME_START		0  
    # reuse same input probability for up to 1000 seconds 
	TIME_END		1000  
	FREQ_START		999999 
END_STIMULUS    


######################### 
## Define Stim Injec  
######################### 
STIMULUS_INJECT 
	TYPE			stiminj_VL1 
	STIM_TYPE		portstim_VL1 
	INJECT			column_VL1 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 
 
STIMULUS_INJECT 
	TYPE			stiminj_VL2 
	STIM_TYPE		portstim_VL2 
	INJECT			column_VL2 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 
 
STIMULUS_INJECT 
	TYPE			stiminj_VL3 
	STIM_TYPE		portstim_VL3 
	INJECT			column_VL3 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 
 
STIMULUS_INJECT 
	TYPE			stiminj_VL4 
	STIM_TYPE		portstim_VL4 
	INJECT			column_VL4 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 
 
STIMULUS_INJECT 
	TYPE			stiminj_VL5 
	STIM_TYPE		portstim_VL5 
	INJECT			column_VL5 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 

STIMULUS_INJECT 
	TYPE			stiminj_VL6 
	STIM_TYPE		portstim_VL6 
	INJECT			column_VL6 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 
 
STIMULUS_INJECT 
	TYPE			stiminj_VL7 
	STIM_TYPE		portstim_VL7 
	INJECT			column_VL7 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 
  
STIMULUS_INJECT 
	TYPE			stiminj_VL8 
	STIM_TYPE		portstim_VL8 
	INJECT			column_VL8 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 
 
STIMULUS_INJECT 
	TYPE			stiminj_VL9 
	STIM_TYPE		portstim_VL9 
	INJECT			column_VL9 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 

STIMULUS_INJECT 
	TYPE			stiminj_VL10 
	STIM_TYPE		portstim_VL10 
	INJECT			column_VL10 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT

STIMULUS_INJECT 
	TYPE			stiminj_VL11 
	STIM_TYPE		portstim_VL11 
	INJECT			column_VL11 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 
  
STIMULUS_INJECT 
	TYPE			stiminj_VL12 
	STIM_TYPE		portstim_VL12 
	INJECT			column_VL12 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 
 
STIMULUS_INJECT 
	TYPE			stiminj_VL13 
	STIM_TYPE		portstim_VL13 
	INJECT			column_VL13 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT 

STIMULUS_INJECT 
	TYPE			stiminj_VL14 
	STIM_TYPE		portstim_VL14 
	INJECT			column_VL14 layer_VL   cell_E  soma_E 1.0 
END_STIMULUS_INJECT  
 
 
