#pragma once
#include <slug/sim/DataBuffer.h>

struct ProbabilityBuffer 
	: public slug::sim::DataBuffer
{
	ProbabilityBuffer(unsigned int _size)
		: size(_size),
		  probabilities(nullptr)
	{
		if (size > 0)
		{
			probabilities = new float[size];
		}
	}

	float* probabilities;
	unsigned int size;

	~ProbabilityBuffer()
	{
		if (probabilities)
			delete [] probabilities;
		probabilities = nullptr;
	}
};

