#pragma once

void compartment(int* _refractoryTime,
                 const float* _oldCalcium,
				 const float* _oldVoltage,
				 float* _newCalcium,
				 float* _newVoltage,
				 const float* inputCurrent,
				 const float* channelCurrent,
				 const float* leakConductance,
				 const float* leakReversal,
				 const float* synapticCurrent,
				 const unsigned int* voltageClamp,
				 const float* clampVoltage,
				 const float* _restVoltage,
				 const float* persistence,
				 const float* C,
				 const float* threshold,
				 const int* spikeShapeLength,
				 const float** spikeShapes,
				 const float* caSpikeIncrement,
				 const float* caPersistence,
				 unsigned int* neuronFireVector,
				 const float dt,
				 const unsigned int numNeurons);

