#pragma once

#include <ChannelSimulator.h>

template<slug::util::MemoryType MType>
class KmChannelSimulator
	: public ChannelSimulator<MType>
{
public:
	virtual bool init(const slug::sim::SimulationProperties* properties);

	typedef typename ChannelSimulator<MType>::UpdateParameters
		UpdateParameters;

	virtual void update(UpdateParameters& parameters);
private:
	float* _eHalfMinM;
	float* _slopeFactorM[3];
	float* _tauScaleFactorM;
	float _timestep;
};

#include <KmChannel.hpp>
