#include <NCS5.h>

using namespace slug;

extern "C"
{

void activate()
{
	{
		static const auto type = slug::util::MemoryType::CUDA;
		auto sim =
			new sim::SpecificFactory<sim::SynapseSimulator<type>,
			                         NCS5Simulator<type>>("ncs5",
									                      "ncs5",
														  0);
		sim::Manager<sim::Factory<sim::SynapseSimulator<type>>>::add(sim);
	}

	{
		static const auto type = slug::util::MemoryType::System;
		auto sim =
			new sim::SpecificFactory<sim::SynapseSimulator<type>,
			                         NCS5Simulator<type>>("ncs5",
									                      "ncs5",
														  0);
		sim::Manager<sim::Factory<sim::SynapseSimulator<type>>>::add(sim);
	}
}

}
