#include <slug/sim/Device.h>
#include <cuda_runtime.h>
#include <slug/sim/CUDA.h>

using namespace slug::sim;
using namespace slug;

Device Device::nullDevice;
__thread Device* Device::device = &Device::nullDevice;

util::MemoryType Device::memoryType()
{
	return util::MemoryType::System;
}

void Device::threadInit()
{
}

void Device::threadDestroy()
{
}

void Device::readHeader(util::InputStream& bs)
{
}

bool Device::read(const std::string& prefix)
{
	//This should never be called
	return false;
}

bool Device::init(const SimulationProperties* properties)
{
	//This should never be called
	return false;
}

bool Device::run(const SimulationProperties* properties)
{
	//This should never be called
	return false;
}

