#include <slug/spec/Machine.h>

using namespace slug::spec;
using namespace slug;

Machine::Machine()
	: id(util::Unique::generate())
{
	enabled = true;
}

bool Machine::addDevice(Device* device)
{
	device->location.machine = this;
	devices.push_back(device);
	deviceMap[device->id] = device;
	return true;
}

Machine::~Machine()
{
	for (auto device : devices)
		delete device;
	devices.clear();
}

