#include <slug/util/Timer.h>

using namespace slug::util;

void Timer::start()
{
	_start = std::chrono::high_resolution_clock::now();	
}

double Timer::duration()
{
	auto end = std::chrono::high_resolution_clock::now();
	return std::chrono::duration<double>(end - _start).count();
}

double Timer::checkpoint()
{
	auto result = duration();
	start();
	return result;
}
