#include <slug/util/Unique.h>
#include <mutex>

using namespace slug::util;

unsigned int id = 1;
std::mutex lock;

Unique Unique::generate()
{
	//Zero is reserved
	lock.lock();
	Unique result;
	result._value = id;
	++id;
	lock.unlock();
	return result;
}

void Unique::setMinimum(unsigned int value)
{
	lock.lock();
	id = value + 1;
	lock.unlock();
}
